# GstTagList

List of tags and values used to describe media metadata.

Strings in structures must be ASCII or UTF-8 encoded. Other encodings are not allowed. Strings must not be empty or NULL.

## GstTagList

Object describing tags / metadata.

### Members

`mini_object` (GstMiniObject) –

the parent type

## Gst.TagList

Object describing tags / metadata.

### Members

`mini_object` (Gst.MiniObject) –

the parent type

## Gst.TagList

Object describing tags / metadata.

### Members

`mini_object` (Gst.MiniObject) –

the parent type

### Constructors

#### gst_tag_list_new

    GstTagList *
    gst_tag_list_new (const gchar * tag,
                      ... ...)

Creates a new taglist and appends the values for the given tags. It expects tag-value pairs like gst_tag_list_add, and a NULL terminator after the last pair. The type of the values is implicit and is documented in the API reference, but can also be queried at runtime with gst_tag_get_type. It is an error to pass a value of a type not matching the tag type into this function. The tag list will make copies of any arguments passed (e.g. strings, buffers).

After creation you might also want to set a GstTagScope on the returned taglist to signal if the contained tags are global or stream tags. By default stream scope is assumes. See gst_tag_list_set_scope.

Free-function: gst_tag_list_unref

Parameters:

`tag` –

tag

`...` –

NULL-terminated list of values to set

Returns ( [transfer: full]) –

a new GstTagList. Free with gst_tag_list_unref when no longer needed.

#### gst_tag_list_new_empty

    GstTagList *
    gst_tag_list_new_empty ()

Creates a new empty GstTagList.

Free-function: gst_tag_list_unref

Returns ( [transfer: full]) –

An empty tag list

#### Gst.TagList.prototype.new_empty

    function Gst.TagList.prototype.new_empty(): {
        // javascript wrapper for 'gst_tag_list_new_empty'
    }

Creates a new empty GstTagList.

Free-function: gst_tag_list_unref

Returns (Gst.TagList) –

An empty tag list

#### Gst.TagList.new_empty

    def Gst.TagList.new_empty ():
        #python wrapper for 'gst_tag_list_new_empty'

Creates a new empty GstTagList.

Free-function: gst_tag_list_unref

Returns (Gst.TagList) –

An empty tag list

#### gst_tag_list_new_from_string

    GstTagList *
    gst_tag_list_new_from_string (const gchar * str)

Deserializes a tag list.

Parameters:

`str` –

a string created with gst_tag_list_to_string

Returns ( [transfer: full][nullable]) –

a new GstTagList, or NULL in case of an error.

#### Gst.TagList.prototype.new_from_string

    function Gst.TagList.prototype.new_from_string(str: String): {
        // javascript wrapper for 'gst_tag_list_new_from_string'
    }

Deserializes a tag list.

Parameters:

`str` (String) –

a string created with Gst.TagList.prototype.to_string

Returns (Gst.TagList) –

a new Gst.TagList, or null in case of an error.

#### Gst.TagList.new_from_string

    def Gst.TagList.new_from_string (str):
        #python wrapper for 'gst_tag_list_new_from_string'

Deserializes a tag list.

Parameters:

`str` (str) –

a string created with Gst.TagList.to_string

Returns (Gst.TagList) –

a new Gst.TagList, or None in case of an error.

#### gst_tag_list_new_valist

    GstTagList *
    gst_tag_list_new_valist (va_list var_args)

Just like gst_tag_list_new, only that it takes a va_list argument. Useful mostly for language bindings.

Free-function: gst_tag_list_unref

Parameters:

`var_args` –

tag / value pairs to set

Returns ( [transfer: full]) –

a new GstTagList. Free with gst_tag_list_unref when no longer needed.

### Methods

#### gst_tag_list_add

    gst_tag_list_add (GstTagList * list,
                      GstTagMergeMode mode,
                      const gchar * tag,
                      ... ...)

Sets the values for the given tags using the specified mode.

Parameters:

`list` –

list to set tags in

`mode` –

the mode to use

`tag` –

tag

`...` –

NULL-terminated list of values to set

#### gst_tag_list_add_valist

    gst_tag_list_add_valist (GstTagList * list,
                             GstTagMergeMode mode,
                             const gchar * tag,
                             va_list var_args)

Sets the values for the given tags using the specified mode.

Parameters:

`list` –

list to set tags in

`mode` –

the mode to use

`tag` –

tag

`var_args` –

tag / value pairs to set

#### gst_tag_list_add_valist_values

    gst_tag_list_add_valist_values (GstTagList * list,
                                    GstTagMergeMode mode,
                                    const gchar * tag,
                                    va_list var_args)

Sets the GValues for the given tags using the specified mode.

Parameters:

`list` –

list to set tags in

`mode` –

the mode to use

`tag` –

tag

`var_args` –

tag / GValue pairs to set

#### gst_tag_list_add_value

    gst_tag_list_add_value (GstTagList * list,
                            GstTagMergeMode mode,
                            const gchar * tag,
                            const GValue * value)

Sets the GValue for a given tag using the specified mode.

Parameters:

`list` –

list to set tags in

`mode` –

the mode to use

`tag` –

tag

`value` –

GValue for this tag

#### Gst.TagList.prototype.add_value

    function Gst.TagList.prototype.add_value(mode: Gst.TagMergeMode, tag: String, value: GObject.Value): {
        // javascript wrapper for 'gst_tag_list_add_value'
    }

Sets the GValue for a given tag using the specified mode.

Parameters:

`list` (Gst.TagList) –

list to set tags in

`mode` (Gst.TagMergeMode) –

the mode to use

`tag` (String) –

tag

`value` (GObject.Value) –

GValue for this tag

#### Gst.TagList.add_value

    def Gst.TagList.add_value (self, mode, tag, value):
        #python wrapper for 'gst_tag_list_add_value'

Sets the GValue for a given tag using the specified mode.

Parameters:

`list` (Gst.TagList) –

list to set tags in

`mode` (Gst.TagMergeMode) –

the mode to use

`tag` (str) –

tag

`value` (GObject.Value) –

GValue for this tag

#### gst_tag_list_add_values

    gst_tag_list_add_values (GstTagList * list,
                             GstTagMergeMode mode,
                             const gchar * tag,
                             ... ...)

Sets the GValues for the given tags using the specified mode.

Parameters:

`list` –

list to set tags in

`mode` –

the mode to use

`tag` –

tag

`...` –

GValues to set

#### gst_tag_list_copy

    GstTagList *
    gst_tag_list_copy (const GstTagList * taglist)

Creates a new GstTagList as a copy of the old taglist. The new taglist will have a refcount of 1, owned by the caller, and will be writable as a result.

Note that this function is the semantic equivalent of a gst_tag_list_ref followed by a gst_tag_list_make_writable. If you only want to hold on to a reference to the data, you should use gst_tag_list_ref.

When you are finished with the taglist, call gst_tag_list_unref on it.

Parameters:

`taglist` –

a GstTagList.

Returns ( [transfer: full]) –

the new GstTagList

#### Gst.TagList.prototype.copy

    function Gst.TagList.prototype.copy(): {
        // javascript wrapper for 'gst_tag_list_copy'
    }

Creates a new Gst.TagList as a copy of the old taglist. The new taglist will have a refcount of 1, owned by the caller, and will be writable as a result.

Note that this function is the semantic equivalent of a gst_tag_list_ref (not introspectable) followed by a gst_tag_list_make_writable (not introspectable). If you only want to hold on to a reference to the data, you should use gst_tag_list_ref (not introspectable).

When you are finished with the taglist, call gst_tag_list_unref (not introspectable) on it.

Parameters:

`taglist` (Gst.TagList) –

a Gst.TagList.

Returns (Gst.TagList) –

the new Gst.TagList

#### Gst.TagList.copy

    def Gst.TagList.copy (self):
        #python wrapper for 'gst_tag_list_copy'

Creates a new Gst.TagList as a copy of the old taglist. The new taglist will have a refcount of 1, owned by the caller, and will be writable as a result.

Note that this function is the semantic equivalent of a gst_tag_list_ref (not introspectable) followed by a gst_tag_list_make_writable (not introspectable). If you only want to hold on to a reference to the data, you should use gst_tag_list_ref (not introspectable).

When you are finished with the taglist, call gst_tag_list_unref (not introspectable) on it.

Parameters:

`taglist` (Gst.TagList) –

a Gst.TagList.

Returns (Gst.TagList) –

the new Gst.TagList

#### gst_tag_list_foreach

    gst_tag_list_foreach (const GstTagList * list,
                          GstTagForeachFunc func,
                          gpointer user_data)

Calls the given function for each tag inside the tag list. Note that if there is no tag, the function won't be called at all.

Parameters:

`list` –

list to iterate over

`func` ( [scope call][closure]) –

function to be called for each tag

`user_data` –

user specified data

#### Gst.TagList.prototype.foreach

    function Gst.TagList.prototype.foreach(func: Gst.TagForeachFunc, user_data: Object): {
        // javascript wrapper for 'gst_tag_list_foreach'
    }

Calls the given function for each tag inside the tag list. Note that if there is no tag, the function won't be called at all.

Parameters:

`list` (Gst.TagList) –

list to iterate over

`func` (Gst.TagForeachFunc) –

function to be called for each tag

`user_data` (Object) –

user specified data

#### Gst.TagList.foreach

    def Gst.TagList.foreach (self, func, *user_data):
        #python wrapper for 'gst_tag_list_foreach'

Calls the given function for each tag inside the tag list. Note that if there is no tag, the function won't be called at all.

Parameters:

`list` (Gst.TagList) –

list to iterate over

`func` (Gst.TagForeachFunc) –

function to be called for each tag

`user_data` (variadic) –

user specified data

#### gst_tag_list_get_boolean

    gboolean
    gst_tag_list_get_boolean (const GstTagList * list,
                              const gchar * tag,
                              gboolean * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_boolean

    function Gst.TagList.prototype.get_boolean(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_boolean'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_boolean

    def Gst.TagList.get_boolean (self, tag):
        #python wrapper for 'gst_tag_list_get_boolean'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_boolean_index

    gboolean
    gst_tag_list_get_boolean_index (const GstTagList * list,
                                    const gchar * tag,
                                    guint index,
                                    gboolean * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_boolean_index

    function Gst.TagList.prototype.get_boolean_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_boolean_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_boolean_index

    def Gst.TagList.get_boolean_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_boolean_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_date

    gboolean
    gst_tag_list_get_date (const GstTagList * list,
                           const gchar * tag,
                           GDate ** value)

Copies the first date for the given tag in the taglist into the variable pointed to by value. Free the date with g_date_free when it is no longer needed.

Free-function: g_date_free

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out][transfer: full]) –

address of a GDate pointer variable to store the result into

Returns –

TRUE, if a date was copied, FALSE if the tag didn't exist in the given list or if it was NULL.

#### Gst.TagList.prototype.get_date

    function Gst.TagList.prototype.get_date(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_date'
    }

Copies the first date for the given tag in the taglist into the variable pointed to by value. Free the date with GLib.Date.prototype.free when it is no longer needed.

Free-function: g_date_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a date was copied, false if the tag didn't exist in the given list or if it was null.

`value` (GDate (not introspectable) ) –

true, if a date was copied, false if the tag didn't exist in the given list or if it was null.

#### Gst.TagList.get_date

    def Gst.TagList.get_date (self, tag):
        #python wrapper for 'gst_tag_list_get_date'

Copies the first date for the given tag in the taglist into the variable pointed to by value. Free the date with GLib.Date.free when it is no longer needed.

Free-function: g_date_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a date was copied, False if the tag didn't exist in the given list or if it was None.

`value` (GDate (not introspectable) ) –

True, if a date was copied, False if the tag didn't exist in the given list or if it was None.

#### gst_tag_list_get_date_index

    gboolean
    gst_tag_list_get_date_index (const GstTagList * list,
                                 const gchar * tag,
                                 guint index,
                                 GDate ** value)

Gets the date that is at the given index for the given tag in the given list and copies it into the variable pointed to by value. Free the date with g_date_free when it is no longer needed.

Free-function: g_date_free

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out][transfer: full]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list or if it was NULL.

#### Gst.TagList.prototype.get_date_index

    function Gst.TagList.prototype.get_date_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_date_index'
    }

Gets the date that is at the given index for the given tag in the given list and copies it into the variable pointed to by value. Free the date with GLib.Date.prototype.free when it is no longer needed.

Free-function: g_date_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list or if it was null.

`value` (GDate (not introspectable) ) –

true, if a value was copied, false if the tag didn't exist in the given list or if it was null.

#### Gst.TagList.get_date_index

    def Gst.TagList.get_date_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_date_index'

Gets the date that is at the given index for the given tag in the given list and copies it into the variable pointed to by value. Free the date with GLib.Date.free when it is no longer needed.

Free-function: g_date_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list or if it was None.

`value` (GDate (not introspectable) ) –

True, if a value was copied, False if the tag didn't exist in the given list or if it was None.

#### gst_tag_list_get_date_time

    gboolean
    gst_tag_list_get_date_time (const GstTagList * list,
                                const gchar * tag,
                                GstDateTime ** value)

Copies the first datetime for the given tag in the taglist into the variable pointed to by value. Unref the date with gst_date_time_unref when it is no longer needed.

Free-function: gst_date_time_unref

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out][transfer: full]) –

address of a GstDateTime pointer variable to store the result into

Returns –

TRUE, if a datetime was copied, FALSE if the tag didn't exist in the given list or if it was NULL.

#### Gst.TagList.prototype.get_date_time

    function Gst.TagList.prototype.get_date_time(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_date_time'
    }

Copies the first datetime for the given tag in the taglist into the variable pointed to by value. Unref the date with Gst.DateTime.prototype.unref when it is no longer needed.

Free-function: gst_date_time_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a datetime was copied, false if the tag didn't exist in the given list or if it was null.

`value` (Gst.DateTime ) –

true, if a datetime was copied, false if the tag didn't exist in the given list or if it was null.

#### Gst.TagList.get_date_time

    def Gst.TagList.get_date_time (self, tag):
        #python wrapper for 'gst_tag_list_get_date_time'

Copies the first datetime for the given tag in the taglist into the variable pointed to by value. Unref the date with Gst.DateTime.unref when it is no longer needed.

Free-function: gst_date_time_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a datetime was copied, False if the tag didn't exist in the given list or if it was None.

`value` (Gst.DateTime ) –

True, if a datetime was copied, False if the tag didn't exist in the given list or if it was None.

#### gst_tag_list_get_date_time_index

    gboolean
    gst_tag_list_get_date_time_index (const GstTagList * list,
                                      const gchar * tag,
                                      guint index,
                                      GstDateTime ** value)

Gets the datetime that is at the given index for the given tag in the given list and copies it into the variable pointed to by value. Unref the datetime with gst_date_time_unref when it is no longer needed.

Free-function: gst_date_time_unref

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out][transfer: full]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list or if it was NULL.

#### Gst.TagList.prototype.get_date_time_index

    function Gst.TagList.prototype.get_date_time_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_date_time_index'
    }

Gets the datetime that is at the given index for the given tag in the given list and copies it into the variable pointed to by value. Unref the datetime with Gst.DateTime.prototype.unref when it is no longer needed.

Free-function: gst_date_time_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list or if it was null.

`value` (Gst.DateTime ) –

true, if a value was copied, false if the tag didn't exist in the given list or if it was null.

#### Gst.TagList.get_date_time_index

    def Gst.TagList.get_date_time_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_date_time_index'

Gets the datetime that is at the given index for the given tag in the given list and copies it into the variable pointed to by value. Unref the datetime with Gst.DateTime.unref when it is no longer needed.

Free-function: gst_date_time_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list or if it was None.

`value` (Gst.DateTime ) –

True, if a value was copied, False if the tag didn't exist in the given list or if it was None.

#### gst_tag_list_get_double

    gboolean
    gst_tag_list_get_double (const GstTagList * list,
                             const gchar * tag,
                             gdouble * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_double

    function Gst.TagList.prototype.get_double(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_double'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_double

    def Gst.TagList.get_double (self, tag):
        #python wrapper for 'gst_tag_list_get_double'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (float ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_double_index

    gboolean
    gst_tag_list_get_double_index (const GstTagList * list,
                                   const gchar * tag,
                                   guint index,
                                   gdouble * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_double_index

    function Gst.TagList.prototype.get_double_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_double_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_double_index

    def Gst.TagList.get_double_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_double_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (float ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_float

    gboolean
    gst_tag_list_get_float (const GstTagList * list,
                            const gchar * tag,
                            gfloat * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_float

    function Gst.TagList.prototype.get_float(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_float'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_float

    def Gst.TagList.get_float (self, tag):
        #python wrapper for 'gst_tag_list_get_float'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (float ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_float_index

    gboolean
    gst_tag_list_get_float_index (const GstTagList * list,
                                  const gchar * tag,
                                  guint index,
                                  gfloat * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_float_index

    function Gst.TagList.prototype.get_float_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_float_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_float_index

    def Gst.TagList.get_float_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_float_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (float ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_int

    gboolean
    gst_tag_list_get_int (const GstTagList * list,
                          const gchar * tag,
                          gint * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_int

    function Gst.TagList.prototype.get_int(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_int'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_int

    def Gst.TagList.get_int (self, tag):
        #python wrapper for 'gst_tag_list_get_int'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_int64

    gboolean
    gst_tag_list_get_int64 (const GstTagList * list,
                            const gchar * tag,
                            gint64 * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_int64

    function Gst.TagList.prototype.get_int64(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_int64'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_int64

    def Gst.TagList.get_int64 (self, tag):
        #python wrapper for 'gst_tag_list_get_int64'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_int64_index

    gboolean
    gst_tag_list_get_int64_index (const GstTagList * list,
                                  const gchar * tag,
                                  guint index,
                                  gint64 * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_int64_index

    function Gst.TagList.prototype.get_int64_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_int64_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_int64_index

    def Gst.TagList.get_int64_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_int64_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_int_index

    gboolean
    gst_tag_list_get_int_index (const GstTagList * list,
                                const gchar * tag,
                                guint index,
                                gint * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_int_index

    function Gst.TagList.prototype.get_int_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_int_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_int_index

    def Gst.TagList.get_int_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_int_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_pointer

    gboolean
    gst_tag_list_get_pointer (const GstTagList * list,
                              const gchar * tag,
                              gpointer * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out][transfer: none]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_pointer

    function Gst.TagList.prototype.get_pointer(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_pointer'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Object ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_pointer

    def Gst.TagList.get_pointer (self, tag):
        #python wrapper for 'gst_tag_list_get_pointer'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (object ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_pointer_index

    gboolean
    gst_tag_list_get_pointer_index (const GstTagList * list,
                                    const gchar * tag,
                                    guint index,
                                    gpointer * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out][transfer: none]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_pointer_index

    function Gst.TagList.prototype.get_pointer_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_pointer_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Object ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_pointer_index

    def Gst.TagList.get_pointer_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_pointer_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (object ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_sample

    gboolean
    gst_tag_list_get_sample (const GstTagList * list,
                             const gchar * tag,
                             GstSample ** sample)

Copies the first sample for the given tag in the taglist into the variable pointed to by sample. Free the sample with gst_sample_unref when it is no longer needed. You can retrieve the buffer from the sample using gst_sample_get_buffer and the associated caps (if any) with gst_sample_get_caps.

Free-function: gst_sample_unref

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`sample` ( [out][transfer: full]) –

address of a GstSample pointer variable to store the result into

Returns –

TRUE, if a sample was returned, FALSE if the tag didn't exist in the given list or if it was NULL.

#### Gst.TagList.prototype.get_sample

    function Gst.TagList.prototype.get_sample(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_sample'
    }

Copies the first sample for the given tag in the taglist into the variable pointed to by sample. Free the sample with gst_sample_unref (not introspectable) when it is no longer needed. You can retrieve the buffer from the sample using Gst.Sample.prototype.get_buffer and the associated caps (if any) with Gst.Sample.prototype.get_caps.

Free-function: gst_sample_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a sample was returned, false if the tag didn't exist in the given list or if it was null.

`sample` (Gst.Sample ) –

true, if a sample was returned, false if the tag didn't exist in the given list or if it was null.

#### Gst.TagList.get_sample

    def Gst.TagList.get_sample (self, tag):
        #python wrapper for 'gst_tag_list_get_sample'

Copies the first sample for the given tag in the taglist into the variable pointed to by sample. Free the sample with gst_sample_unref (not introspectable) when it is no longer needed. You can retrieve the buffer from the sample using Gst.Sample.get_buffer and the associated caps (if any) with Gst.Sample.get_caps.

Free-function: gst_sample_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a sample was returned, False if the tag didn't exist in the given list or if it was None.

`sample` (Gst.Sample ) –

True, if a sample was returned, False if the tag didn't exist in the given list or if it was None.

#### gst_tag_list_get_sample_index

    gboolean
    gst_tag_list_get_sample_index (const GstTagList * list,
                                   const gchar * tag,
                                   guint index,
                                   GstSample ** sample)

Gets the sample that is at the given index for the given tag in the given list and copies it into the variable pointed to by sample. Free the sample with gst_sample_unref when it is no longer needed. You can retrieve the buffer from the sample using gst_sample_get_buffer and the associated caps (if any) with gst_sample_get_caps.

Free-function: gst_sample_unref

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`sample` ( [out][transfer: full]) –

address of a GstSample pointer variable to store the result into

Returns –

TRUE, if a sample was copied, FALSE if the tag didn't exist in the given list or if it was NULL.

#### Gst.TagList.prototype.get_sample_index

    function Gst.TagList.prototype.get_sample_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_sample_index'
    }

Gets the sample that is at the given index for the given tag in the given list and copies it into the variable pointed to by sample. Free the sample with gst_sample_unref (not introspectable) when it is no longer needed. You can retrieve the buffer from the sample using Gst.Sample.prototype.get_buffer and the associated caps (if any) with Gst.Sample.prototype.get_caps.

Free-function: gst_sample_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a sample was copied, false if the tag didn't exist in the given list or if it was null.

`sample` (Gst.Sample ) –

true, if a sample was copied, false if the tag didn't exist in the given list or if it was null.

#### Gst.TagList.get_sample_index

    def Gst.TagList.get_sample_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_sample_index'

Gets the sample that is at the given index for the given tag in the given list and copies it into the variable pointed to by sample. Free the sample with gst_sample_unref (not introspectable) when it is no longer needed. You can retrieve the buffer from the sample using Gst.Sample.get_buffer and the associated caps (if any) with Gst.Sample.get_caps.

Free-function: gst_sample_unref

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a sample was copied, False if the tag didn't exist in the given list or if it was None.

`sample` (Gst.Sample ) –

True, if a sample was copied, False if the tag didn't exist in the given list or if it was None.

#### gst_tag_list_get_scope

    GstTagScope
    gst_tag_list_get_scope (const GstTagList * list)

Gets the scope of list.

Parameters:

`list` –

a GstTagList

Returns –

The scope of list

#### Gst.TagList.prototype.get_scope

    function Gst.TagList.prototype.get_scope(): {
        // javascript wrapper for 'gst_tag_list_get_scope'
    }

Gets the scope of list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

Returns (Gst.TagScope) –

The scope of list

#### Gst.TagList.get_scope

    def Gst.TagList.get_scope (self):
        #python wrapper for 'gst_tag_list_get_scope'

Gets the scope of list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

Returns (Gst.TagScope) –

The scope of list

#### gst_tag_list_get_string

    gboolean
    gst_tag_list_get_string (const GstTagList * list,
                             const gchar * tag,
                             gchar ** value)

Copies the contents for the given tag into the value, possibly merging multiple values into one if multiple values are associated with the tag.

Use gst_tag_list_get_string_index (list, tag, 0, value) if you want to retrieve the first string associated with this tag unmodified.

The resulting string in value will be in UTF-8 encoding and should be freed by the caller using g_free when no longer needed. The returned string is also guaranteed to be non-%NULL and non-empty.

Free-function: g_free

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out][transfer: full]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_string

    function Gst.TagList.prototype.get_string(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_string'
    }

Copies the contents for the given tag into the value, possibly merging multiple values into one if multiple values are associated with the tag.

Use gst_tag_list_get_string_index (list, tag, 0, value) if you want to retrieve the first string associated with this tag unmodified.

The resulting string in value will be in UTF-8 encoding and should be freed by the caller using g_free when no longer needed. The returned string is also guaranteed to be non-%NULL and non-empty.

Free-function: g_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (String ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_string

    def Gst.TagList.get_string (self, tag):
        #python wrapper for 'gst_tag_list_get_string'

Copies the contents for the given tag into the value, possibly merging multiple values into one if multiple values are associated with the tag.

Use gst_tag_list_get_string_index (list, tag, 0, value) if you want to retrieve the first string associated with this tag unmodified.

The resulting string in value will be in UTF-8 encoding and should be freed by the caller using g_free when no longer needed. The returned string is also guaranteed to be non-%NULL and non-empty.

Free-function: g_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (str ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_string_index

    gboolean
    gst_tag_list_get_string_index (const GstTagList * list,
                                   const gchar * tag,
                                   guint index,
                                   gchar ** value)

Gets the value that is at the given index for the given tag in the given list.

The resulting string in value will be in UTF-8 encoding and should be freed by the caller using g_free when no longer needed. The returned string is also guaranteed to be non-%NULL and non-empty.

Free-function: g_free

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out][transfer: full]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_string_index

    function Gst.TagList.prototype.get_string_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_string_index'
    }

Gets the value that is at the given index for the given tag in the given list.

The resulting string in value will be in UTF-8 encoding and should be freed by the caller using g_free when no longer needed. The returned string is also guaranteed to be non-%NULL and non-empty.

Free-function: g_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (String ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_string_index

    def Gst.TagList.get_string_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_string_index'

Gets the value that is at the given index for the given tag in the given list.

The resulting string in value will be in UTF-8 encoding and should be freed by the caller using g_free when no longer needed. The returned string is also guaranteed to be non-%NULL and non-empty.

Free-function: g_free

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (str ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_tag_size

    guint
    gst_tag_list_get_tag_size (const GstTagList * list,
                               const gchar * tag)

Checks how many value are stored in this tag list for the given tag.

Parameters:

`list` –

a taglist

`tag` –

the tag to query

Returns –

The number of tags stored

#### Gst.TagList.prototype.get_tag_size

    function Gst.TagList.prototype.get_tag_size(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_tag_size'
    }

Checks how many value are stored in this tag list for the given tag.

Parameters:

`list` (Gst.TagList) –

a taglist

`tag` (String) –

the tag to query

Returns (Number) –

The number of tags stored

#### Gst.TagList.get_tag_size

    def Gst.TagList.get_tag_size (self, tag):
        #python wrapper for 'gst_tag_list_get_tag_size'

Checks how many value are stored in this tag list for the given tag.

Parameters:

`list` (Gst.TagList) –

a taglist

`tag` (str) –

the tag to query

Returns (int) –

The number of tags stored

#### gst_tag_list_get_uint

    gboolean
    gst_tag_list_get_uint (const GstTagList * list,
                           const gchar * tag,
                           guint * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_uint

    function Gst.TagList.prototype.get_uint(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_uint'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_uint

    def Gst.TagList.get_uint (self, tag):
        #python wrapper for 'gst_tag_list_get_uint'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_uint64

    gboolean
    gst_tag_list_get_uint64 (const GstTagList * list,
                             const gchar * tag,
                             guint64 * value)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_uint64

    function Gst.TagList.prototype.get_uint64(tag: String): {
        // javascript wrapper for 'gst_tag_list_get_uint64'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_uint64

    def Gst.TagList.get_uint64 (self, tag):
        #python wrapper for 'gst_tag_list_get_uint64'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_uint64_index

    gboolean
    gst_tag_list_get_uint64_index (const GstTagList * list,
                                   const gchar * tag,
                                   guint index,
                                   guint64 * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_uint64_index

    function Gst.TagList.prototype.get_uint64_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_uint64_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_uint64_index

    def Gst.TagList.get_uint64_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_uint64_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_uint_index

    gboolean
    gst_tag_list_get_uint_index (const GstTagList * list,
                                 const gchar * tag,
                                 guint index,
                                 guint * value)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out]) –

location for the result

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.get_uint_index

    function Gst.TagList.prototype.get_uint_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_uint_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`value` (Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.TagList.get_uint_index

    def Gst.TagList.get_uint_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_uint_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`value` (int ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_get_value_index

    const GValue *
    gst_tag_list_get_value_index (const GstTagList * list,
                                  const gchar * tag,
                                  guint index)

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` –

a GstTagList

`tag` –

tag to read out

`index` –

number of entry to read out

Returns ( [transfer: none][nullable]) –

The GValue for the specified entry or NULL if the tag wasn't available or the tag doesn't have as many entries

#### Gst.TagList.prototype.get_value_index

    function Gst.TagList.prototype.get_value_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_get_value_index'
    }

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns (GObject.Value) –

The GValue for the specified entry or null if the tag wasn't available or the tag doesn't have as many entries

#### Gst.TagList.get_value_index

    def Gst.TagList.get_value_index (self, tag, index):
        #python wrapper for 'gst_tag_list_get_value_index'

Gets the value that is at the given index for the given tag in the given list.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns (GObject.Value) –

The GValue for the specified entry or None if the tag wasn't available or the tag doesn't have as many entries

#### gst_tag_list_insert

    gst_tag_list_insert (GstTagList * into,
                         const GstTagList * from,
                         GstTagMergeMode mode)

Inserts the tags of the from list into the first list using the given mode.

Parameters:

`into` –

list to merge into

`from` –

list to merge from

`mode` –

the mode to use

#### Gst.TagList.prototype.insert

    function Gst.TagList.prototype.insert(from: Gst.TagList, mode: Gst.TagMergeMode): {
        // javascript wrapper for 'gst_tag_list_insert'
    }

Inserts the tags of the from list into the first list using the given mode.

Parameters:

`into` (Gst.TagList) –

list to merge into

`from` (Gst.TagList) –

list to merge from

`mode` (Gst.TagMergeMode) –

the mode to use

#### Gst.TagList.insert

    def Gst.TagList.insert (self, from, mode):
        #python wrapper for 'gst_tag_list_insert'

Inserts the tags of the from list into the first list using the given mode.

Parameters:

`into` (Gst.TagList) –

list to merge into

`from` (Gst.TagList) –

list to merge from

`mode` (Gst.TagMergeMode) –

the mode to use

#### gst_tag_list_is_empty

    gboolean
    gst_tag_list_is_empty (const GstTagList * list)

Checks if the given taglist is empty.

Parameters:

`list` –

A GstTagList.

Returns –

TRUE if the taglist is empty, otherwise FALSE.

#### Gst.TagList.prototype.is_empty

    function Gst.TagList.prototype.is_empty(): {
        // javascript wrapper for 'gst_tag_list_is_empty'
    }

Checks if the given taglist is empty.

Parameters:

`list` (Gst.TagList) –

A Gst.TagList.

Returns (Number) –

true if the taglist is empty, otherwise false.

#### Gst.TagList.is_empty

    def Gst.TagList.is_empty (self):
        #python wrapper for 'gst_tag_list_is_empty'

Checks if the given taglist is empty.

Parameters:

`list` (Gst.TagList) –

A Gst.TagList.

Returns (bool) –

True if the taglist is empty, otherwise False.

#### gst_tag_list_is_equal

    gboolean
    gst_tag_list_is_equal (const GstTagList * list1,
                           const GstTagList * list2)

Checks if the two given taglists are equal.

Parameters:

`list1` –

a GstTagList.

`list2` –

a GstTagList.

Returns –

TRUE if the taglists are equal, otherwise FALSE

#### Gst.TagList.prototype.is_equal

    function Gst.TagList.prototype.is_equal(list2: Gst.TagList): {
        // javascript wrapper for 'gst_tag_list_is_equal'
    }

Checks if the two given taglists are equal.

Parameters:

`list1` (Gst.TagList) –

a Gst.TagList.

`list2` (Gst.TagList) –

a Gst.TagList.

Returns (Number) –

true if the taglists are equal, otherwise false

#### Gst.TagList.is_equal

    def Gst.TagList.is_equal (self, list2):
        #python wrapper for 'gst_tag_list_is_equal'

Checks if the two given taglists are equal.

Parameters:

`list1` (Gst.TagList) –

a Gst.TagList.

`list2` (Gst.TagList) –

a Gst.TagList.

Returns (bool) –

True if the taglists are equal, otherwise False

#### gst_tag_list_merge

    GstTagList *
    gst_tag_list_merge (const GstTagList * list1,
                        const GstTagList * list2,
                        GstTagMergeMode mode)

Merges the two given lists into a new list. If one of the lists is NULL, a copy of the other is returned. If both lists are NULL, NULL is returned.

Free-function: gst_tag_list_unref

Parameters:

`list1` ( [nullable]) –

first list to merge

`list2` ( [nullable]) –

second list to merge

`mode` –

the mode to use

Returns ( [transfer: full][nullable]) –

the new list

#### Gst.TagList.prototype.merge

    function Gst.TagList.prototype.merge(list2: Gst.TagList, mode: Gst.TagMergeMode): {
        // javascript wrapper for 'gst_tag_list_merge'
    }

Merges the two given lists into a new list. If one of the lists is null, a copy of the other is returned. If both lists are null, null is returned.

Free-function: gst_tag_list_unref

Parameters:

`list1` (Gst.TagList) –

first list to merge

`list2` (Gst.TagList) –

second list to merge

`mode` (Gst.TagMergeMode) –

the mode to use

Returns (Gst.TagList) –

the new list

#### Gst.TagList.merge

    def Gst.TagList.merge (self, list2, mode):
        #python wrapper for 'gst_tag_list_merge'

Merges the two given lists into a new list. If one of the lists is None, a copy of the other is returned. If both lists are None, None is returned.

Free-function: gst_tag_list_unref

Parameters:

`list1` (Gst.TagList) –

first list to merge

`list2` (Gst.TagList) –

second list to merge

`mode` (Gst.TagMergeMode) –

the mode to use

Returns (Gst.TagList) –

the new list

#### gst_tag_list_n_tags

    gint
    gst_tag_list_n_tags (const GstTagList * list)

Get the number of tags in list.

Parameters:

`list` –

A GstTagList.

Returns –

The number of tags in list.

#### Gst.TagList.prototype.n_tags

    function Gst.TagList.prototype.n_tags(): {
        // javascript wrapper for 'gst_tag_list_n_tags'
    }

Get the number of tags in list.

Parameters:

`list` (Gst.TagList) –

A Gst.TagList.

Returns (Number) –

The number of tags in list.

#### Gst.TagList.n_tags

    def Gst.TagList.n_tags (self):
        #python wrapper for 'gst_tag_list_n_tags'

Get the number of tags in list.

Parameters:

`list` (Gst.TagList) –

A Gst.TagList.

Returns (int) –

The number of tags in list.

#### gst_tag_list_nth_tag_name

    const gchar *
    gst_tag_list_nth_tag_name (const GstTagList * list,
                               guint index)

Get the name of the tag in list at index.

Parameters:

`list` –

A GstTagList.

`index` –

the index

Returns –

The name of the tag at index.

#### Gst.TagList.prototype.nth_tag_name

    function Gst.TagList.prototype.nth_tag_name(index: Number): {
        // javascript wrapper for 'gst_tag_list_nth_tag_name'
    }

Get the name of the tag in list at index.

Parameters:

`list` (Gst.TagList) –

A Gst.TagList.

`index` (Number) –

the index

Returns (String) –

The name of the tag at index.

#### Gst.TagList.nth_tag_name

    def Gst.TagList.nth_tag_name (self, index):
        #python wrapper for 'gst_tag_list_nth_tag_name'

Get the name of the tag in list at index.

Parameters:

`list` (Gst.TagList) –

A Gst.TagList.

`index` (int) –

the index

Returns (str) –

The name of the tag at index.

#### gst_tag_list_peek_string_index

    gboolean
    gst_tag_list_peek_string_index (const GstTagList * list,
                                    const gchar * tag,
                                    guint index,
                                    const gchar ** value)

Peeks at the value that is at the given index for the given tag in the given list.

The resulting string in value will be in UTF-8 encoding and doesn't need to be freed by the caller. The returned string is also guaranteed to be non-%NULL and non-empty.

Parameters:

`list` –

a GstTagList to get the tag from

`tag` –

tag to read out

`index` –

number of entry to read out

`value` ( [out][transfer: none]) –

location for the result

Returns –

TRUE, if a value was set, FALSE if the tag didn't exist in the given list.

#### Gst.TagList.prototype.peek_string_index

    function Gst.TagList.prototype.peek_string_index(tag: String, index: Number): {
        // javascript wrapper for 'gst_tag_list_peek_string_index'
    }

Peeks at the value that is at the given index for the given tag in the given list.

The resulting string in value will be in UTF-8 encoding and doesn't need to be freed by the caller. The returned string is also guaranteed to be non-%NULL and non-empty.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (String) –

tag to read out

`index` (Number) –

number of entry to read out

Returns a tuple made of:

(Number ) –

true, if a value was set, false if the tag didn't exist in the given list.

`value` (String ) –

true, if a value was set, false if the tag didn't exist in the given list.

#### Gst.TagList.peek_string_index

    def Gst.TagList.peek_string_index (self, tag, index):
        #python wrapper for 'gst_tag_list_peek_string_index'

Peeks at the value that is at the given index for the given tag in the given list.

The resulting string in value will be in UTF-8 encoding and doesn't need to be freed by the caller. The returned string is also guaranteed to be non-%NULL and non-empty.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList to get the tag from

`tag` (str) –

tag to read out

`index` (int) –

number of entry to read out

Returns a tuple made of:

(bool ) –

True, if a value was set, False if the tag didn't exist in the given list.

`value` (str ) –

True, if a value was set, False if the tag didn't exist in the given list.

#### gst_tag_list_ref

    GstTagList *
    gst_tag_list_ref (GstTagList * taglist)

Add a reference to a GstTagList mini object.

From this point on, until the caller calls gst_tag_list_unref or gst_tag_list_make_writable, it is guaranteed that the taglist object will not change. To use a GstTagList object, you must always have a refcount on it -- either the one made implicitly by e.g. gst_tag_list_new, or via taking one explicitly with this function.

Parameters:

`taglist` –

the GstTagList to reference

Returns –

the same GstTagList mini object.

#### gst_tag_list_remove_tag

    gst_tag_list_remove_tag (GstTagList * list,
                             const gchar * tag)

Removes the given tag from the taglist.

Parameters:

`list` –

list to remove tag from

`tag` –

tag to remove

#### Gst.TagList.prototype.remove_tag

    function Gst.TagList.prototype.remove_tag(tag: String): {
        // javascript wrapper for 'gst_tag_list_remove_tag'
    }

Removes the given tag from the taglist.

Parameters:

`list` (Gst.TagList) –

list to remove tag from

`tag` (String) –

tag to remove

#### Gst.TagList.remove_tag

    def Gst.TagList.remove_tag (self, tag):
        #python wrapper for 'gst_tag_list_remove_tag'

Removes the given tag from the taglist.

Parameters:

`list` (Gst.TagList) –

list to remove tag from

`tag` (str) –

tag to remove

#### gst_tag_list_set_scope

    gst_tag_list_set_scope (GstTagList * list,
                            GstTagScope scope)

Sets the scope of list to scope. By default the scope of a taglist is stream scope.

Parameters:

`list` –

a GstTagList

`scope` –

new scope for list

#### Gst.TagList.prototype.set_scope

    function Gst.TagList.prototype.set_scope(scope: Gst.TagScope): {
        // javascript wrapper for 'gst_tag_list_set_scope'
    }

Sets the scope of list to scope. By default the scope of a taglist is stream scope.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`scope` (Gst.TagScope) –

new scope for list

#### Gst.TagList.set_scope

    def Gst.TagList.set_scope (self, scope):
        #python wrapper for 'gst_tag_list_set_scope'

Sets the scope of list to scope. By default the scope of a taglist is stream scope.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

`scope` (Gst.TagScope) –

new scope for list

#### gst_tag_list_to_string

    gchar *
    gst_tag_list_to_string (const GstTagList * list)

Serializes a tag list to a string.

Parameters:

`list` –

a GstTagList

Returns ( [transfer: full]) –

a newly-allocated string. The string must be freed with g_free when no longer needed.

#### Gst.TagList.prototype.to_string

    function Gst.TagList.prototype.to_string(): {
        // javascript wrapper for 'gst_tag_list_to_string'
    }

Serializes a tag list to a string.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

Returns (String) –

a newly-allocated string. The string must be freed with GLib.prototype.free when no longer needed.

#### Gst.TagList.to_string

    def Gst.TagList.to_string (self):
        #python wrapper for 'gst_tag_list_to_string'

Serializes a tag list to a string.

Parameters:

`list` (Gst.TagList) –

a Gst.TagList

Returns (str) –

a newly-allocated string. The string must be freed with GLib.free when no longer needed.

#### gst_tag_list_unref

    gst_tag_list_unref (GstTagList * taglist)

Unref a GstTagList, and and free all its memory when the refcount reaches 0.

Parameters:

`taglist` –

a GstTagList.

### Functions

#### gst_tag_list_copy_value

    gboolean
    gst_tag_list_copy_value (GValue * dest,
                             const GstTagList * list,
                             const gchar * tag)

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag. You must g_value_unset the value after use.

Parameters:

`dest` ( [out]) –

uninitialized GValue to copy into

`list` –

list to get the tag from

`tag` –

tag to read out

Returns –

TRUE, if a value was copied, FALSE if the tag didn't exist in the given list.

#### Gst.prototype.tag_list_copy_value

    function Gst.prototype.tag_list_copy_value(list: Gst.TagList, tag: String): {
        // javascript wrapper for 'gst_tag_list_copy_value'
    }

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag. You must GObject.Value.prototype.unset the value after use.

Parameters:

`list` (Gst.TagList) –

list to get the tag from

`tag` (String) –

tag to read out

Returns a tuple made of:

(Number ) –

true, if a value was copied, false if the tag didn't exist in the given list.

`dest` (GObject.Value ) –

true, if a value was copied, false if the tag didn't exist in the given list.

#### Gst.tag_list_copy_value

    def Gst.tag_list_copy_value (list, tag):
        #python wrapper for 'gst_tag_list_copy_value'

Copies the contents for the given tag into the value, merging multiple values into one if multiple values are associated with the tag. You must GObject.Value.unset the value after use.

Parameters:

`list` (Gst.TagList) –

list to get the tag from

`tag` (str) –

tag to read out

Returns a tuple made of:

(bool ) –

True, if a value was copied, False if the tag didn't exist in the given list.

`dest` (GObject.Value ) –

True, if a value was copied, False if the tag didn't exist in the given list.

#### gst_tag_list_replace

    gboolean
    gst_tag_list_replace (GstTagList ** old_taglist,
                          GstTagList * new_taglist)

Modifies a pointer to a GstTagList to point to a different GstTagList. The modification is done atomically (so this is useful for ensuring thread safety in some cases), and the reference counts are updated appropriately (the old tag list is unreffed, the new is reffed).

Either new_taglist or the GstTagList pointed to by old_taglist may be NULL.

Parameters:

`old_taglist` ( [inout][transfer: full][nullable]) –

pointer to a pointer to a GstTagList to be replaced.

`new_taglist` ( [transfer: none][allow-none]) –

pointer to a GstTagList that will replace the tag list pointed to by old_taglist.

Returns –

TRUE if new_taglist was different from old_taglist

Since : 1.16

#### Gst.prototype.tag_list_replace

    function Gst.prototype.tag_list_replace(old_taglist: Gst.TagList, new_taglist: Gst.TagList): {
        // javascript wrapper for 'gst_tag_list_replace'
    }

Modifies a pointer to a Gst.TagList to point to a different Gst.TagList. The modification is done atomically (so this is useful for ensuring thread safety in some cases), and the reference counts are updated appropriately (the old tag list is unreffed, the new is reffed).

Either new_taglist or the Gst.TagList pointed to by old_taglist may be null.

Parameters:

`old_taglist` (Gst.TagList) –

pointer to a pointer to a Gst.TagList to be replaced.

`new_taglist` (Gst.TagList) –

pointer to a Gst.TagList that will replace the tag list pointed to by old_taglist.

Returns a tuple made of:

(Number ) –

true if new_taglist was different from old_taglist

`old_taglist` (Gst.TagList ) –

true if new_taglist was different from old_taglist

Since : 1.16

#### Gst.tag_list_replace

    def Gst.tag_list_replace (old_taglist, new_taglist):
        #python wrapper for 'gst_tag_list_replace'

Modifies a pointer to a Gst.TagList to point to a different Gst.TagList. The modification is done atomically (so this is useful for ensuring thread safety in some cases), and the reference counts are updated appropriately (the old tag list is unreffed, the new is reffed).

Either new_taglist or the Gst.TagList pointed to by old_taglist may be None.

Parameters:

`old_taglist` (Gst.TagList) –

pointer to a pointer to a Gst.TagList to be replaced.

`new_taglist` (Gst.TagList) –

pointer to a Gst.TagList that will replace the tag list pointed to by old_taglist.

Returns a tuple made of:

(bool ) –

True if new_taglist was different from old_taglist

`old_taglist` (Gst.TagList ) –

True if new_taglist was different from old_taglist

Since : 1.16

#### gst_tag_list_take

    gboolean
    gst_tag_list_take (GstTagList ** old_taglist,
                       GstTagList * new_taglist)

Modifies a pointer to a GstTagList to point to a different GstTagList. This function is similar to gst_tag_list_replace except that it takes ownership of new_taglist.

Parameters:

`old_taglist` ( [inout][transfer: full]) –

pointer to a pointer to a GstTagList to be replaced.

`new_taglist` ( [transfer: full][allow-none]) –

pointer to a GstTagList that will replace the taglist pointed to by old_taglist.

Returns –

TRUE if new_taglist was different from old_taglist

Since : 1.16

#### Gst.prototype.tag_list_take

    function Gst.prototype.tag_list_take(old_taglist: Gst.TagList, new_taglist: Gst.TagList): {
        // javascript wrapper for 'gst_tag_list_take'
    }

Modifies a pointer to a Gst.TagList to point to a different Gst.TagList. This function is similar to Gst.prototype.tag_list_replace except that it takes ownership of new_taglist.

Parameters:

`old_taglist` (Gst.TagList) –

pointer to a pointer to a Gst.TagList to be replaced.

`new_taglist` (Gst.TagList) –

pointer to a Gst.TagList that will replace the taglist pointed to by old_taglist.

Returns a tuple made of:

(Number ) –

true if new_taglist was different from old_taglist

`old_taglist` (Gst.TagList ) –

true if new_taglist was different from old_taglist

Since : 1.16

#### Gst.tag_list_take

    def Gst.tag_list_take (old_taglist, new_taglist):
        #python wrapper for 'gst_tag_list_take'

Modifies a pointer to a Gst.TagList to point to a different Gst.TagList. This function is similar to Gst.tag_list_replace except that it takes ownership of new_taglist.

Parameters:

`old_taglist` (Gst.TagList) –

pointer to a pointer to a Gst.TagList to be replaced.

`new_taglist` (Gst.TagList) –

pointer to a Gst.TagList that will replace the taglist pointed to by old_taglist.

Returns a tuple made of:

(bool ) –

True if new_taglist was different from old_taglist

`old_taglist` (Gst.TagList ) –

True if new_taglist was different from old_taglist

Since : 1.16

## Functions

### gst_clear_tag_list

    gst_clear_tag_list (GstTagList ** taglist_ptr)

Clears a reference to a GstTagList.

taglist_ptr must not be NULL.

If the reference is NULL then this function does nothing. Otherwise, the reference count of the taglist is decreased and the pointer is set to NULL.

Parameters:

`taglist_ptr` –

a pointer to a GstTagList reference

Since : 1.16

### gst_tag_exists

    gboolean
    gst_tag_exists (const gchar * tag)

Checks if the given type is already registered.

Parameters:

`tag` –

name of the tag

Returns –

TRUE if the type is already registered

### Gst.prototype.tag_exists

    function Gst.prototype.tag_exists(tag: String): {
        // javascript wrapper for 'gst_tag_exists'
    }

Checks if the given type is already registered.

Parameters:

`tag` (String) –

name of the tag

Returns (Number) –

true if the type is already registered

### Gst.tag_exists

    def Gst.tag_exists (tag):
        #python wrapper for 'gst_tag_exists'

Checks if the given type is already registered.

Parameters:

`tag` (str) –

name of the tag

Returns (bool) –

True if the type is already registered

### gst_tag_get_description

    const gchar *
    gst_tag_get_description (const gchar * tag)

Returns the human-readable description of this tag, You must not change or free this string.

Parameters:

`tag` –

the tag

Returns –

the human-readable description of this tag

### Gst.prototype.tag_get_description

    function Gst.prototype.tag_get_description(tag: String): {
        // javascript wrapper for 'gst_tag_get_description'
    }

Returns the human-readable description of this tag, You must not change or free this string.

Parameters:

`tag` (String) –

the tag

Returns (String) –

the human-readable description of this tag

### Gst.tag_get_description

    def Gst.tag_get_description (tag):
        #python wrapper for 'gst_tag_get_description'

Returns the human-readable description of this tag, You must not change or free this string.

Parameters:

`tag` (str) –

the tag

Returns (str) –

the human-readable description of this tag

### gst_tag_get_flag

    GstTagFlag
    gst_tag_get_flag (const gchar * tag)

Gets the flag of tag.

Parameters:

`tag` –

the tag

Returns –

the flag of this tag.

### Gst.prototype.tag_get_flag

    function Gst.prototype.tag_get_flag(tag: String): {
        // javascript wrapper for 'gst_tag_get_flag'
    }

Gets the flag of tag.

Parameters:

`tag` (String) –

the tag

Returns (Gst.TagFlag) –

the flag of this tag.

### Gst.tag_get_flag

    def Gst.tag_get_flag (tag):
        #python wrapper for 'gst_tag_get_flag'

Gets the flag of tag.

Parameters:

`tag` (str) –

the tag

Returns (Gst.TagFlag) –

the flag of this tag.

### gst_tag_get_nick

    const gchar *
    gst_tag_get_nick (const gchar * tag)

Returns the human-readable name of this tag, You must not change or free this string.

Parameters:

`tag` –

the tag

Returns –

the human-readable name of this tag

### Gst.prototype.tag_get_nick

    function Gst.prototype.tag_get_nick(tag: String): {
        // javascript wrapper for 'gst_tag_get_nick'
    }

Returns the human-readable name of this tag, You must not change or free this string.

Parameters:

`tag` (String) –

the tag

Returns (String) –

the human-readable name of this tag

### Gst.tag_get_nick

    def Gst.tag_get_nick (tag):
        #python wrapper for 'gst_tag_get_nick'

Returns the human-readable name of this tag, You must not change or free this string.

Parameters:

`tag` (str) –

the tag

Returns (str) –

the human-readable name of this tag

### gst_tag_get_type

    GType
    gst_tag_get_type (const gchar * tag)

Gets the GType used for this tag.

Parameters:

`tag` –

the tag

Returns –

the GType of this tag

### Gst.prototype.tag_get_type

    function Gst.prototype.tag_get_type(tag: String): {
        // javascript wrapper for 'gst_tag_get_type'
    }

Gets the GObject.Type used for this tag.

Parameters:

`tag` (String) –

the tag

Returns (GObject.Type) –

the GObject.Type of this tag

### Gst.tag_get_type

    def Gst.tag_get_type (tag):
        #python wrapper for 'gst_tag_get_type'

Gets the GObject.Type used for this tag.

Parameters:

`tag` (str) –

the tag

Returns (GObject.Type) –

the GObject.Type of this tag

### gst_tag_is_fixed

    gboolean
    gst_tag_is_fixed (const gchar * tag)

Checks if the given tag is fixed. A fixed tag can only contain one value. Unfixed tags can contain lists of values.

Parameters:

`tag` –

tag to check

Returns –

TRUE, if the given tag is fixed.

### Gst.prototype.tag_is_fixed

    function Gst.prototype.tag_is_fixed(tag: String): {
        // javascript wrapper for 'gst_tag_is_fixed'
    }

Checks if the given tag is fixed. A fixed tag can only contain one value. Unfixed tags can contain lists of values.

Parameters:

`tag` (String) –

tag to check

Returns (Number) –

true, if the given tag is fixed.

### Gst.tag_is_fixed

    def Gst.tag_is_fixed (tag):
        #python wrapper for 'gst_tag_is_fixed'

Checks if the given tag is fixed. A fixed tag can only contain one value. Unfixed tags can contain lists of values.

Parameters:

`tag` (str) –

tag to check

Returns (bool) –

True, if the given tag is fixed.

### gst_tag_merge_strings_with_comma

    gst_tag_merge_strings_with_comma (GValue * dest,
                                      const GValue * src)

This is a convenience function for the func argument of gst_tag_register. It concatenates all given strings using a comma. The tag must be registered as a G_TYPE_STRING or this function will fail.

Parameters:

`dest` ( [out]) –

uninitialized GValue to store result in

`src` –

GValue to copy from

### Gst.prototype.tag_merge_strings_with_comma

    function Gst.prototype.tag_merge_strings_with_comma(src: GObject.Value): {
        // javascript wrapper for 'gst_tag_merge_strings_with_comma'
    }

This is a convenience function for the func argument of gst_tag_register (not introspectable). It concatenates all given strings using a comma. The tag must be registered as a G_TYPE_STRING or this function will fail.

Parameters:

`src` (GObject.Value) –

GValue to copy from

### Gst.tag_merge_strings_with_comma

    def Gst.tag_merge_strings_with_comma (src):
        #python wrapper for 'gst_tag_merge_strings_with_comma'

This is a convenience function for the func argument of gst_tag_register (not introspectable). It concatenates all given strings using a comma. The tag must be registered as a G_TYPE_STRING or this function will fail.

Parameters:

`src` (GObject.Value) –

GValue to copy from

### gst_tag_merge_use_first

    gst_tag_merge_use_first (GValue * dest,
                             const GValue * src)

This is a convenience function for the func argument of gst_tag_register. It creates a copy of the first value from the list.

Parameters:

`dest` ( [out]) –

uninitialized GValue to store result in

`src` –

GValue to copy from

### Gst.prototype.tag_merge_use_first

    function Gst.prototype.tag_merge_use_first(src: GObject.Value): {
        // javascript wrapper for 'gst_tag_merge_use_first'
    }

This is a convenience function for the func argument of gst_tag_register (not introspectable). It creates a copy of the first value from the list.

Parameters:

`src` (GObject.Value) –

GValue to copy from

### Gst.tag_merge_use_first

    def Gst.tag_merge_use_first (src):
        #python wrapper for 'gst_tag_merge_use_first'

This is a convenience function for the func argument of gst_tag_register (not introspectable). It creates a copy of the first value from the list.

Parameters:

`src` (GObject.Value) –

GValue to copy from

### gst_tag_register

    gst_tag_register (const gchar * name,
                      GstTagFlag flag,
                      GType type,
                      const gchar * nick,
                      const gchar * blurb,
                      GstTagMergeFunc func)

Registers a new tag type for the use with GStreamer's type system. If a type with that name is already registered, that one is used. The old registration may have used a different type however. So don't rely on your supplied values.

Important: if you do not supply a merge function the implication will be that there can only be one single value for this tag in a tag list and any additional values will silently be discarded when being added (unless GST_TAG_MERGE_REPLACE, GST_TAG_MERGE_REPLACE_ALL, or GST_TAG_MERGE_PREPEND is used as merge mode, in which case the new value will replace the old one in the list).

The merge function will be called from gst_tag_list_copy_value when it is required that one or more values for a tag be condensed into one single value. This may happen from gst_tag_list_get_string, gst_tag_list_get_int, gst_tag_list_get_double etc. What will happen exactly in that case depends on how the tag was registered and if a merge function was supplied and if so which one.

Two default merge functions are provided: gst_tag_merge_use_first and gst_tag_merge_strings_with_comma.

Parameters:

`name` –

the name or identifier string

`flag` –

a flag describing the type of tag info

`type` –

the type this data is in

`nick` –

human-readable name

`blurb` –

a human-readable description about this tag

`func` ( [allow-none]) –

function for merging multiple values of this tag, or NULL

### gst_tag_register_static

    gst_tag_register_static (const gchar * name,
                             GstTagFlag flag,
                             GType type,
                             const gchar * nick,
                             const gchar * blurb,
                             GstTagMergeFunc func)

Registers a new tag type for the use with GStreamer's type system.

Same as gst_tag_register, but name, nick, and blurb must be static strings or inlined strings, as they will not be copied. (GStreamer plugins will be made resident once loaded, so this function can be used even from dynamically loaded plugins.)

Parameters:

`name` –

the name or identifier string (string constant)

`flag` –

a flag describing the type of tag info

`type` –

the type this data is in

`nick` –

human-readable name or short description (string constant)

`blurb` –

a human-readable description for this tag (string constant)

`func` ( [allow-none]) –

function for merging multiple values of this tag, or NULL

## Function Macros

### GST_TAG_FLAG_IS_VALID

    #define GST_TAG_FLAG_IS_VALID(flag)     (((flag) > GST_TAG_FLAG_UNDEFINED) && ((flag) < GST_TAG_FLAG_COUNT))

### GST_TAG_MODE_IS_VALID

    #define GST_TAG_MODE_IS_VALID(mode)     (((mode) > GST_TAG_MERGE_UNDEFINED) && ((mode) < GST_TAG_MERGE_COUNT))

### gst_tag_list_is_writable

    #define gst_tag_list_is_writable(taglist)    gst_mini_object_is_writable (GST_MINI_OBJECT_CAST (taglist))

Tests if you can safely modify taglist. It is only safe to modify taglist when there is only one owner of the taglist - ie, the refcount is 1.

Parameters:

`taglist` –

a GstTagList

### gst_tag_list_make_writable

    #define gst_tag_list_make_writable(taglist)   GST_TAG_LIST (gst_mini_object_make_writable (GST_MINI_OBJECT_CAST (taglist)))

Returns a writable copy of taglist.

If there is only one reference count on taglist, the caller must be the owner, and so this function will return the taglist object unchanged. If on the other hand there is more than one reference on the object, a new taglist object will be returned (which will be a copy of taglist). The caller's reference on taglist will be removed, and instead the caller will own a reference to the returned object.

In short, this function unrefs the taglist in the argument and refs the taglist that it returns. Don't access the argument after calling this function. See also: gst_tag_list_ref.

Parameters:

`taglist` ( [transfer: full]) –

a GstTagList

Returns ( [transfer: full]) –

a writable taglist which may or may not be the same as taglist

## Enumerations

### GstTagFlag

Extra tag flags used when registering tags.

##### Members

`GST_TAG_FLAG_UNDEFINED` (0) –

undefined flag

`GST_TAG_FLAG_META` (1) –

tag is meta data

`GST_TAG_FLAG_ENCODED` (2) –

tag is encoded

`GST_TAG_FLAG_DECODED` (3) –

tag is decoded

`GST_TAG_FLAG_COUNT` (4) –

number of tag flags

### Gst.TagFlag

Extra tag flags used when registering tags.

##### Members

`Gst.TagFlag.UNDEFINED` (0) –

undefined flag

`Gst.TagFlag.META` (1) –

tag is meta data

`Gst.TagFlag.ENCODED` (2) –

tag is encoded

`Gst.TagFlag.DECODED` (3) –

tag is decoded

`Gst.TagFlag.COUNT` (4) –

number of tag flags

### Gst.TagFlag

Extra tag flags used when registering tags.

##### Members

`Gst.TagFlag.UNDEFINED` (0) –

undefined flag

`Gst.TagFlag.META` (1) –

tag is meta data

`Gst.TagFlag.ENCODED` (2) –

tag is encoded

`Gst.TagFlag.DECODED` (3) –

tag is decoded

`Gst.TagFlag.COUNT` (4) –

number of tag flags

### GstTagMergeMode

The different tag merging modes are basically replace, overwrite and append, but they can be seen from two directions. Given two taglists: (A) the tags already in the element and (B) the ones that are supplied to the element ( e.g. via gst_tag_setter_merge_tags / gst_tag_setter_add_tags or a GST_EVENT_TAG), how are these tags merged? In the table below this is shown for the cases that a tag exists in the list (A) or does not exists (!A) and combinations thereof.

merge mode | A + B | A + !B | !A + B | !A + !B
--- | --- | --- | --- | ---
REPLACE_ALL | B | ø | B | ø
REPLACE | B | A | B | ø
APPEND | A, B | A | B | ø
PREPEND | B, A | A | B | ø
KEEP | A | A | B | ø
KEEP_ALL | A | A | ø | ø

##### Members

`GST_TAG_MERGE_UNDEFINED` (0) –

undefined merge mode

`GST_TAG_MERGE_REPLACE_ALL` (1) –

replace all tags (clear list and append)

`GST_TAG_MERGE_REPLACE` (2) –

replace tags

`GST_TAG_MERGE_APPEND` (3) –

append tags

`GST_TAG_MERGE_PREPEND` (4) –

prepend tags

`GST_TAG_MERGE_KEEP` (5) –

keep existing tags

`GST_TAG_MERGE_KEEP_ALL` (6) –

keep all existing tags

`GST_TAG_MERGE_COUNT` (7) –

the number of merge modes

### Gst.TagMergeMode

The different tag merging modes are basically replace, overwrite and append, but they can be seen from two directions. Given two taglists: (A) the tags already in the element and (B) the ones that are supplied to the element ( e.g. via Gst.TagSetter.prototype.merge_tags / gst_tag_setter_add_tags (not introspectable) or a Gst.EventType.TAG), how are these tags merged? In the table below this is shown for the cases that a tag exists in the list (A) or does not exists (!A) and combinations thereof.

merge mode | A + B | A + !B | !A + B | !A + !B
--- | --- | --- | --- | ---
REPLACE_ALL | B | ø | B | ø
REPLACE | B | A | B | ø
APPEND | A, B | A | B | ø
PREPEND | B, A | A | B | ø
KEEP | A | A | B | ø
KEEP_ALL | A | A | ø | ø

##### Members

`Gst.TagMergeMode.UNDEFINED` (0) –

undefined merge mode

`Gst.TagMergeMode.REPLACE_ALL` (1) –

replace all tags (clear list and append)

`Gst.TagMergeMode.REPLACE` (2) –

replace tags

`Gst.TagMergeMode.APPEND` (3) –

append tags

`Gst.TagMergeMode.PREPEND` (4) –

prepend tags

`Gst.TagMergeMode.KEEP` (5) –

keep existing tags

`Gst.TagMergeMode.KEEP_ALL` (6) –

keep all existing tags

`Gst.TagMergeMode.COUNT` (7) –

the number of merge modes

### Gst.TagMergeMode

The different tag merging modes are basically replace, overwrite and append, but they can be seen from two directions. Given two taglists: (A) the tags already in the element and (B) the ones that are supplied to the element ( e.g. via Gst.TagSetter.merge_tags / gst_tag_setter_add_tags (not introspectable) or a Gst.EventType.TAG), how are these tags merged? In the table below this is shown for the cases that a tag exists in the list (A) or does not exists (!A) and combinations thereof.

merge mode | A + B | A + !B | !A + B | !A + !B
--- | --- | --- | --- | ---
REPLACE_ALL | B | ø | B | ø
REPLACE | B | A | B | ø
APPEND | A, B | A | B | ø
PREPEND | B, A | A | B | ø
KEEP | A | A | B | ø
KEEP_ALL | A | A | ø | ø

##### Members

`Gst.TagMergeMode.UNDEFINED` (0) –

undefined merge mode

`Gst.TagMergeMode.REPLACE_ALL` (1) –

replace all tags (clear list and append)

`Gst.TagMergeMode.REPLACE` (2) –

replace tags

`Gst.TagMergeMode.APPEND` (3) –

append tags

`Gst.TagMergeMode.PREPEND` (4) –

prepend tags

`Gst.TagMergeMode.KEEP` (5) –

keep existing tags

`Gst.TagMergeMode.KEEP_ALL` (6) –

keep all existing tags

`Gst.TagMergeMode.COUNT` (7) –

the number of merge modes

### GstTagScope

GstTagScope specifies if a taglist applies to the complete medium or only to one single stream.

##### Members

`GST_TAG_SCOPE_STREAM` (0) –

tags specific to this single stream

`GST_TAG_SCOPE_GLOBAL` (1) –

global tags for the complete medium

### Gst.TagScope

GstTagScope specifies if a taglist applies to the complete medium or only to one single stream.

##### Members

`Gst.TagScope.STREAM` (0) –

tags specific to this single stream

`Gst.TagScope.GLOBAL` (1) –

global tags for the complete medium

### Gst.TagScope

GstTagScope specifies if a taglist applies to the complete medium or only to one single stream.

##### Members

`Gst.TagScope.STREAM` (0) –

tags specific to this single stream

`Gst.TagScope.GLOBAL` (1) –

global tags for the complete medium

## Constants

### GST_TAG_ALBUM

    #define GST_TAG_ALBUM                  "album"

album containing this data (string)

The album name as it should be displayed, e.g. 'The Jazz Guitar'

### Gst.TAG_ALBUM

album containing this data (string)

The album name as it should be displayed, e.g. 'The Jazz Guitar'

### Gst.TAG_ALBUM

album containing this data (string)

The album name as it should be displayed, e.g. 'The Jazz Guitar'

### GST_TAG_ALBUM_ARTIST

    #define GST_TAG_ALBUM_ARTIST           "album-artist"

The artist of the entire album, as it should be displayed.

### Gst.TAG_ALBUM_ARTIST

The artist of the entire album, as it should be displayed.

### Gst.TAG_ALBUM_ARTIST

The artist of the entire album, as it should be displayed.

### GST_TAG_ALBUM_ARTIST_SORTNAME

    #define GST_TAG_ALBUM_ARTIST_SORTNAME  "album-artist-sortname"

The artist of the entire album, as it should be sorted.

### Gst.TAG_ALBUM_ARTIST_SORTNAME

The artist of the entire album, as it should be sorted.

### Gst.TAG_ALBUM_ARTIST_SORTNAME

The artist of the entire album, as it should be sorted.

### GST_TAG_ALBUM_GAIN

    #define GST_TAG_ALBUM_GAIN             "replaygain-album-gain"

album gain in db (double)

### Gst.TAG_ALBUM_GAIN

album gain in db (double)

### Gst.TAG_ALBUM_GAIN

album gain in db (double)

### GST_TAG_ALBUM_PEAK

    #define GST_TAG_ALBUM_PEAK             "replaygain-album-peak"

peak of the album (double)

### Gst.TAG_ALBUM_PEAK

peak of the album (double)

### Gst.TAG_ALBUM_PEAK

peak of the album (double)

### GST_TAG_ALBUM_SORTNAME

    #define GST_TAG_ALBUM_SORTNAME         "album-sortname"

album containing this data, as used for sorting (string)

The album name as it should be sorted, e.g. 'Jazz Guitar, The'

### Gst.TAG_ALBUM_SORTNAME

album containing this data, as used for sorting (string)

The album name as it should be sorted, e.g. 'Jazz Guitar, The'

### Gst.TAG_ALBUM_SORTNAME

album containing this data, as used for sorting (string)

The album name as it should be sorted, e.g. 'Jazz Guitar, The'

### GST_TAG_ALBUM_VOLUME_COUNT

    #define GST_TAG_ALBUM_VOLUME_COUNT    "album-disc-count"

count of discs inside collection this disc belongs to (unsigned integer)

### Gst.TAG_ALBUM_VOLUME_COUNT

count of discs inside collection this disc belongs to (unsigned integer)

### Gst.TAG_ALBUM_VOLUME_COUNT

count of discs inside collection this disc belongs to (unsigned integer)

### GST_TAG_ALBUM_VOLUME_NUMBER

    #define GST_TAG_ALBUM_VOLUME_NUMBER    "album-disc-number"

disc number inside a collection (unsigned integer)

### Gst.TAG_ALBUM_VOLUME_NUMBER

disc number inside a collection (unsigned integer)

### Gst.TAG_ALBUM_VOLUME_NUMBER

disc number inside a collection (unsigned integer)

### GST_TAG_APPLICATION_DATA

    #define GST_TAG_APPLICATION_DATA          "application-data"

Arbitrary application data (sample)

Some formats allow applications to add their own arbitrary data into files. This data is application dependent.

### Gst.TAG_APPLICATION_DATA

Arbitrary application data (sample)

Some formats allow applications to add their own arbitrary data into files. This data is application dependent.

### Gst.TAG_APPLICATION_DATA

Arbitrary application data (sample)

Some formats allow applications to add their own arbitrary data into files. This data is application dependent.

### GST_TAG_APPLICATION_NAME

    #define GST_TAG_APPLICATION_NAME                  "application-name"

Name of the application used to create the media (string)

### Gst.TAG_APPLICATION_NAME

Name of the application used to create the media (string)

### Gst.TAG_APPLICATION_NAME

Name of the application used to create the media (string)

### GST_TAG_ARTIST

    #define GST_TAG_ARTIST                 "artist"

person(s) responsible for the recording (string)

The artist name as it should be displayed, e.g. 'Jimi Hendrix' or 'The Guitar Heroes'

### Gst.TAG_ARTIST

person(s) responsible for the recording (string)

The artist name as it should be displayed, e.g. 'Jimi Hendrix' or 'The Guitar Heroes'

### Gst.TAG_ARTIST

person(s) responsible for the recording (string)

The artist name as it should be displayed, e.g. 'Jimi Hendrix' or 'The Guitar Heroes'

### GST_TAG_ARTIST_SORTNAME

    #define GST_TAG_ARTIST_SORTNAME        "artist-sortname"

person(s) responsible for the recording, as used for sorting (string)

The artist name as it should be sorted, e.g. 'Hendrix, Jimi' or 'Guitar Heroes, The'

### Gst.TAG_ARTIST_SORTNAME

person(s) responsible for the recording, as used for sorting (string)

The artist name as it should be sorted, e.g. 'Hendrix, Jimi' or 'Guitar Heroes, The'

### Gst.TAG_ARTIST_SORTNAME

person(s) responsible for the recording, as used for sorting (string)

The artist name as it should be sorted, e.g. 'Hendrix, Jimi' or 'Guitar Heroes, The'

### GST_TAG_ATTACHMENT

    #define GST_TAG_ATTACHMENT             "attachment"

generic file attachment (sample) (sample taglist should specify the content type and if possible set "filename" to the file name of the attachment)

### Gst.TAG_ATTACHMENT

generic file attachment (sample) (sample taglist should specify the content type and if possible set "filename" to the file name of the attachment)

### Gst.TAG_ATTACHMENT

generic file attachment (sample) (sample taglist should specify the content type and if possible set "filename" to the file name of the attachment)

### GST_TAG_AUDIO_CODEC

    #define GST_TAG_AUDIO_CODEC            "audio-codec"

codec the audio data is stored in (string)

### Gst.TAG_AUDIO_CODEC

codec the audio data is stored in (string)

### Gst.TAG_AUDIO_CODEC

codec the audio data is stored in (string)

### GST_TAG_BEATS_PER_MINUTE

    #define GST_TAG_BEATS_PER_MINUTE       "beats-per-minute"

number of beats per minute in audio (double)

### Gst.TAG_BEATS_PER_MINUTE

number of beats per minute in audio (double)

### Gst.TAG_BEATS_PER_MINUTE

number of beats per minute in audio (double)

### GST_TAG_BITRATE

    #define GST_TAG_BITRATE                "bitrate"

exact or average bitrate in bits/s (unsigned integer)

### Gst.TAG_BITRATE

exact or average bitrate in bits/s (unsigned integer)

### Gst.TAG_BITRATE

exact or average bitrate in bits/s (unsigned integer)

### GST_TAG_CODEC

    #define GST_TAG_CODEC                  "codec"

codec the data is stored in (string)

### Gst.TAG_CODEC

codec the data is stored in (string)

### Gst.TAG_CODEC

codec the data is stored in (string)

### GST_TAG_COMMENT

    #define GST_TAG_COMMENT                "comment"

free text commenting the data (string)

### Gst.TAG_COMMENT

free text commenting the data (string)

### Gst.TAG_COMMENT

free text commenting the data (string)

### GST_TAG_COMPOSER

    #define GST_TAG_COMPOSER               "composer"

person(s) who composed the recording (string)

### Gst.TAG_COMPOSER

person(s) who composed the recording (string)

### Gst.TAG_COMPOSER

person(s) who composed the recording (string)

### GST_TAG_COMPOSER_SORTNAME

    #define GST_TAG_COMPOSER_SORTNAME                 "composer-sortname"

The composer's name, used for sorting (string)

### Gst.TAG_COMPOSER_SORTNAME

The composer's name, used for sorting (string)

### Gst.TAG_COMPOSER_SORTNAME

The composer's name, used for sorting (string)

### GST_TAG_CONDUCTOR

    #define GST_TAG_CONDUCTOR               "conductor"

conductor/performer refinement (string)

Since : 1.8

### Gst.TAG_CONDUCTOR

conductor/performer refinement (string)

Since : 1.8

### Gst.TAG_CONDUCTOR

conductor/performer refinement (string)

Since : 1.8

### GST_TAG_CONTACT

    #define GST_TAG_CONTACT                "contact"

contact information (string)

### Gst.TAG_CONTACT

contact information (string)

### Gst.TAG_CONTACT

contact information (string)

### GST_TAG_CONTAINER_FORMAT

    #define GST_TAG_CONTAINER_FORMAT       "container-format"

container format the data is stored in (string)

### Gst.TAG_CONTAINER_FORMAT

container format the data is stored in (string)

### Gst.TAG_CONTAINER_FORMAT

container format the data is stored in (string)

### GST_TAG_CONTAINER_SPECIFIC_TRACK_ID

    #define GST_TAG_CONTAINER_SPECIFIC_TRACK_ID "container-specific-track-id"

Unique identifier for the audio, video or text track this tag is associated with. The mappings for several container formats are defined in the Sourcing In-band Media Resource Tracks from Media Containers into HTML specification.

Since : 1.24

### Gst.TAG_CONTAINER_SPECIFIC_TRACK_ID

Unique identifier for the audio, video or text track this tag is associated with. The mappings for several container formats are defined in the Sourcing In-band Media Resource Tracks from Media Containers into HTML specification.

Since : 1.24

### Gst.TAG_CONTAINER_SPECIFIC_TRACK_ID

Unique identifier for the audio, video or text track this tag is associated with. The mappings for several container formats are defined in the Sourcing In-band Media Resource Tracks from Media Containers into HTML specification.

Since : 1.24

### GST_TAG_COPYRIGHT

    #define GST_TAG_COPYRIGHT              "copyright"

copyright notice of the data (string)

### Gst.TAG_COPYRIGHT

copyright notice of the data (string)

### Gst.TAG_COPYRIGHT

copyright notice of the data (string)

### GST_TAG_COPYRIGHT_URI

    #define GST_TAG_COPYRIGHT_URI          "copyright-uri"

URI to location where copyright details can be found (string)

### Gst.TAG_COPYRIGHT_URI

URI to location where copyright details can be found (string)

### Gst.TAG_COPYRIGHT_URI

URI to location where copyright details can be found (string)

### GST_TAG_DATE

    #define GST_TAG_DATE                   "date"

date the data was created (#GDate structure)

### Gst.TAG_DATE

date the data was created (#GDate structure)

### Gst.TAG_DATE

date the data was created (#GDate structure)

### GST_TAG_DATE_TIME

    #define GST_TAG_DATE_TIME              "datetime"

date and time the data was created (#GstDateTime structure)

### Gst.TAG_DATE_TIME

date and time the data was created (#GstDateTime structure)

### Gst.TAG_DATE_TIME

date and time the data was created (#GstDateTime structure)

### GST_TAG_DESCRIPTION

    #define GST_TAG_DESCRIPTION            "description"

short text describing the content of the data (string)

### Gst.TAG_DESCRIPTION

short text describing the content of the data (string)

### Gst.TAG_DESCRIPTION

short text describing the content of the data (string)

### GST_TAG_DEVICE_MANUFACTURER

    #define GST_TAG_DEVICE_MANUFACTURER               "device-manufacturer"

Manufacturer of the device used to create the media (string)

### Gst.TAG_DEVICE_MANUFACTURER

Manufacturer of the device used to create the media (string)

### Gst.TAG_DEVICE_MANUFACTURER

Manufacturer of the device used to create the media (string)

### GST_TAG_DEVICE_MODEL

    #define GST_TAG_DEVICE_MODEL                      "device-model"

Model of the device used to create the media (string)

### Gst.TAG_DEVICE_MODEL

Model of the device used to create the media (string)

### Gst.TAG_DEVICE_MODEL

Model of the device used to create the media (string)

### GST_TAG_DURATION

    #define GST_TAG_DURATION               "duration"

length in GStreamer time units (nanoseconds) (unsigned 64-bit integer)

### Gst.TAG_DURATION

length in GStreamer time units (nanoseconds) (unsigned 64-bit integer)

### Gst.TAG_DURATION

length in GStreamer time units (nanoseconds) (unsigned 64-bit integer)

### GST_TAG_ENCODED_BY

    #define GST_TAG_ENCODED_BY             "encoded-by"

name of the person or organisation that encoded the file. May contain a copyright message if the person or organisation also holds the copyright (string)

Note: do not use this field to describe the encoding application. Use GST_TAG_APPLICATION_NAME or GST_TAG_COMMENT for that.

### Gst.TAG_ENCODED_BY

name of the person or organisation that encoded the file. May contain a copyright message if the person or organisation also holds the copyright (string)

Note: do not use this field to describe the encoding application. Use Gst.TAG_APPLICATION_NAME or Gst.TAG_COMMENT for that.

### Gst.TAG_ENCODED_BY

name of the person or organisation that encoded the file. May contain a copyright message if the person or organisation also holds the copyright (string)

Note: do not use this field to describe the encoding application. Use Gst.TAG_APPLICATION_NAME or Gst.TAG_COMMENT for that.

### GST_TAG_ENCODER

    #define GST_TAG_ENCODER                "encoder"

encoder used to encode this stream (string)

### Gst.TAG_ENCODER

encoder used to encode this stream (string)

### Gst.TAG_ENCODER

encoder used to encode this stream (string)

### GST_TAG_ENCODER_VERSION

    #define GST_TAG_ENCODER_VERSION        "encoder-version"

version of the encoder used to encode this stream (unsigned integer)

### Gst.TAG_ENCODER_VERSION

version of the encoder used to encode this stream (unsigned integer)

### Gst.TAG_ENCODER_VERSION

version of the encoder used to encode this stream (unsigned integer)

### GST_TAG_EXTENDED_COMMENT

    #define GST_TAG_EXTENDED_COMMENT       "extended-comment"

key/value text commenting the data (string)

Must be in the form of 'key=comment' or 'key[lc]=comment' where 'lc' is an ISO-639 language code.

This tag is used for unknown Vorbis comment tags, unknown APE tags and certain ID3v2 comment fields.

### Gst.TAG_EXTENDED_COMMENT

key/value text commenting the data (string)

Must be in the form of 'key=comment' or 'key[lc]=comment' where 'lc' is an ISO-639 language code.

This tag is used for unknown Vorbis comment tags, unknown APE tags and certain ID3v2 comment fields.

### Gst.TAG_EXTENDED_COMMENT

key/value text commenting the data (string)

Must be in the form of 'key=comment' or 'key[lc]=comment' where 'lc' is an ISO-639 language code.

This tag is used for unknown Vorbis comment tags, unknown APE tags and certain ID3v2 comment fields.

### GST_TAG_GENRE

    #define GST_TAG_GENRE                  "genre"

genre this data belongs to (string)

### Gst.TAG_GENRE

genre this data belongs to (string)

### Gst.TAG_GENRE

genre this data belongs to (string)

### GST_TAG_GEO_LOCATION_CAPTURE_DIRECTION

    #define GST_TAG_GEO_LOCATION_CAPTURE_DIRECTION  "geo-location-capture-direction"

Indicates the direction the device is pointing to when capturing a media. It is represented as degrees in floating point representation, 0 means the geographic north, and increases clockwise (double from 0 to 360)

See also GST_TAG_GEO_LOCATION_MOVEMENT_DIRECTION

### Gst.TAG_GEO_LOCATION_CAPTURE_DIRECTION

Indicates the direction the device is pointing to when capturing a media. It is represented as degrees in floating point representation, 0 means the geographic north, and increases clockwise (double from 0 to 360)

See also Gst.TAG_GEO_LOCATION_MOVEMENT_DIRECTION

### Gst.TAG_GEO_LOCATION_CAPTURE_DIRECTION

Indicates the direction the device is pointing to when capturing a media. It is represented as degrees in floating point representation, 0 means the geographic north, and increases clockwise (double from 0 to 360)

See also Gst.TAG_GEO_LOCATION_MOVEMENT_DIRECTION

### GST_TAG_GEO_LOCATION_CITY

    #define GST_TAG_GEO_LOCATION_CITY                    "geo-location-city"

The city (english name) where the media has been produced (string).

### Gst.TAG_GEO_LOCATION_CITY

The city (english name) where the media has been produced (string).

### Gst.TAG_GEO_LOCATION_CITY

The city (english name) where the media has been produced (string).

### GST_TAG_GEO_LOCATION_COUNTRY

    #define GST_TAG_GEO_LOCATION_COUNTRY                 "geo-location-country"

The country (english name) where the media has been produced (string).

### Gst.TAG_GEO_LOCATION_COUNTRY

The country (english name) where the media has been produced (string).

### Gst.TAG_GEO_LOCATION_COUNTRY

The country (english name) where the media has been produced (string).

### GST_TAG_GEO_LOCATION_ELEVATION

    #define GST_TAG_GEO_LOCATION_ELEVATION               "geo-location-elevation"

geo elevation of where the media has been recorded or produced in meters according to WGS84 (zero is average sea level) (double).

### Gst.TAG_GEO_LOCATION_ELEVATION

geo elevation of where the media has been recorded or produced in meters according to WGS84 (zero is average sea level) (double).

### Gst.TAG_GEO_LOCATION_ELEVATION

geo elevation of where the media has been recorded or produced in meters according to WGS84 (zero is average sea level) (double).

### GST_TAG_GEO_LOCATION_HORIZONTAL_ERROR

    #define GST_TAG_GEO_LOCATION_HORIZONTAL_ERROR   "geo-location-horizontal-error"

Represents the expected error on the horizontal positioning in meters (double).

### Gst.TAG_GEO_LOCATION_HORIZONTAL_ERROR

Represents the expected error on the horizontal positioning in meters (double).

### Gst.TAG_GEO_LOCATION_HORIZONTAL_ERROR

Represents the expected error on the horizontal positioning in meters (double).

### GST_TAG_GEO_LOCATION_LATITUDE

    #define GST_TAG_GEO_LOCATION_LATITUDE               "geo-location-latitude"

geo latitude location of where the media has been recorded or produced in degrees according to WGS84 (zero at the equator, negative values for southern latitudes) (double).

### Gst.TAG_GEO_LOCATION_LATITUDE

geo latitude location of where the media has been recorded or produced in degrees according to WGS84 (zero at the equator, negative values for southern latitudes) (double).

### Gst.TAG_GEO_LOCATION_LATITUDE

geo latitude location of where the media has been recorded or produced in degrees according to WGS84 (zero at the equator, negative values for southern latitudes) (double).

### GST_TAG_GEO_LOCATION_LONGITUDE

    #define GST_TAG_GEO_LOCATION_LONGITUDE               "geo-location-longitude"

geo longitude location of where the media has been recorded or produced in degrees according to WGS84 (zero at the prime meridian in Greenwich/UK, negative values for western longitudes). (double).

### Gst.TAG_GEO_LOCATION_LONGITUDE

geo longitude location of where the media has been recorded or produced in degrees according to WGS84 (zero at the prime meridian in Greenwich/UK, negative values for western longitudes). (double).

### Gst.TAG_GEO_LOCATION_LONGITUDE

geo longitude location of where the media has been recorded or produced in degrees according to WGS84 (zero at the prime meridian in Greenwich/UK, negative values for western longitudes). (double).

### GST_TAG_GEO_LOCATION_MOVEMENT_DIRECTION

    #define GST_TAG_GEO_LOCATION_MOVEMENT_DIRECTION "geo-location-movement-direction"

Indicates the movement direction of the device performing the capture of a media. It is represented as degrees in floating point representation, 0 means the geographic north, and increases clockwise (double from 0 to 360)

See also GST_TAG_GEO_LOCATION_CAPTURE_DIRECTION

### Gst.TAG_GEO_LOCATION_MOVEMENT_DIRECTION

Indicates the movement direction of the device performing the capture of a media. It is represented as degrees in floating point representation, 0 means the geographic north, and increases clockwise (double from 0 to 360)

See also Gst.TAG_GEO_LOCATION_CAPTURE_DIRECTION

### Gst.TAG_GEO_LOCATION_MOVEMENT_DIRECTION

Indicates the movement direction of the device performing the capture of a media. It is represented as degrees in floating point representation, 0 means the geographic north, and increases clockwise (double from 0 to 360)

See also Gst.TAG_GEO_LOCATION_CAPTURE_DIRECTION

### GST_TAG_GEO_LOCATION_MOVEMENT_SPEED

    #define GST_TAG_GEO_LOCATION_MOVEMENT_SPEED       "geo-location-movement-speed"

Speed of the capturing device when performing the capture. Represented in m/s. (double)

See also GST_TAG_GEO_LOCATION_MOVEMENT_DIRECTION

### Gst.TAG_GEO_LOCATION_MOVEMENT_SPEED

Speed of the capturing device when performing the capture. Represented in m/s. (double)

See also Gst.TAG_GEO_LOCATION_MOVEMENT_DIRECTION

### Gst.TAG_GEO_LOCATION_MOVEMENT_SPEED

Speed of the capturing device when performing the capture. Represented in m/s. (double)

See also Gst.TAG_GEO_LOCATION_MOVEMENT_DIRECTION

### GST_TAG_GEO_LOCATION_NAME

    #define GST_TAG_GEO_LOCATION_NAME               "geo-location-name"

human readable descriptive location of where the media has been recorded or produced. (string).

### Gst.TAG_GEO_LOCATION_NAME

human readable descriptive location of where the media has been recorded or produced. (string).

### Gst.TAG_GEO_LOCATION_NAME

human readable descriptive location of where the media has been recorded or produced. (string).

### GST_TAG_GEO_LOCATION_SUBLOCATION

    #define GST_TAG_GEO_LOCATION_SUBLOCATION             "geo-location-sublocation"

A location 'smaller' than GST_TAG_GEO_LOCATION_CITY that specifies better where the media has been produced. (e.g. the neighborhood) (string).

This tag has been added as this is how it is handled/named in XMP's Iptc4xmpcore schema.

### Gst.TAG_GEO_LOCATION_SUBLOCATION

A location 'smaller' than GST_TAG_GEO_LOCATION_CITY that specifies better where the media has been produced. (e.g. the neighborhood) (string).

This tag has been added as this is how it is handled/named in XMP's Iptc4xmpcore schema.

### Gst.TAG_GEO_LOCATION_SUBLOCATION

A location 'smaller' than GST_TAG_GEO_LOCATION_CITY that specifies better where the media has been produced. (e.g. the neighborhood) (string).

This tag has been added as this is how it is handled/named in XMP's Iptc4xmpcore schema.

### GST_TAG_GROUPING

    #define GST_TAG_GROUPING                          "grouping"

Groups together media that are related and spans multiple tracks. An example are multiple pieces of a concerto. (string)

### Gst.TAG_GROUPING

Groups together media that are related and spans multiple tracks. An example are multiple pieces of a concerto. (string)

### Gst.TAG_GROUPING

Groups together media that are related and spans multiple tracks. An example are multiple pieces of a concerto. (string)

### GST_TAG_HOMEPAGE

    #define GST_TAG_HOMEPAGE               "homepage"

Homepage for this media (i.e. artist or movie homepage) (string)

### Gst.TAG_HOMEPAGE

Homepage for this media (i.e. artist or movie homepage) (string)

### Gst.TAG_HOMEPAGE

Homepage for this media (i.e. artist or movie homepage) (string)

### GST_TAG_IMAGE

    #define GST_TAG_IMAGE                  "image"

image (sample) (sample taglist should specify the content type and preferably also set "image-type" field as `GstTagImageType`)

### Gst.TAG_IMAGE

image (sample) (sample taglist should specify the content type and preferably also set "image-type" field as `GstTagImageType`)

### Gst.TAG_IMAGE

image (sample) (sample taglist should specify the content type and preferably also set "image-type" field as `GstTagImageType`)

### GST_TAG_IMAGE_ORIENTATION

    #define GST_TAG_IMAGE_ORIENTATION            "image-orientation"

Represents the 'Orientation' tag from EXIF. Defines how the image should be rotated and mirrored for display. (string)

This tag has a predefined set of allowed values: "rotate-0" "rotate-90" "rotate-180" "rotate-270" "flip-rotate-0" "flip-rotate-90" "flip-rotate-180" "flip-rotate-270"

The naming is adopted according to a possible transformation to perform on the image to fix its orientation, obviously equivalent operations will yield the same result.

Rotations indicated by the values are in clockwise direction and 'flip' means an horizontal mirroring.

### Gst.TAG_IMAGE_ORIENTATION

Represents the 'Orientation' tag from EXIF. Defines how the image should be rotated and mirrored for display. (string)

This tag has a predefined set of allowed values: "rotate-0" "rotate-90" "rotate-180" "rotate-270" "flip-rotate-0" "flip-rotate-90" "flip-rotate-180" "flip-rotate-270"

The naming is adopted according to a possible transformation to perform on the image to fix its orientation, obviously equivalent operations will yield the same result.

Rotations indicated by the values are in clockwise direction and 'flip' means an horizontal mirroring.

### Gst.TAG_IMAGE_ORIENTATION

Represents the 'Orientation' tag from EXIF. Defines how the image should be rotated and mirrored for display. (string)

This tag has a predefined set of allowed values: "rotate-0" "rotate-90" "rotate-180" "rotate-270" "flip-rotate-0" "flip-rotate-90" "flip-rotate-180" "flip-rotate-270"

The naming is adopted according to a possible transformation to perform on the image to fix its orientation, obviously equivalent operations will yield the same result.

Rotations indicated by the values are in clockwise direction and 'flip' means an horizontal mirroring.

### GST_TAG_INTERPRETED_BY

    #define GST_TAG_INTERPRETED_BY                    "interpreted-by"

Information about the people behind a remix and similar interpretations of another existing piece (string)

Since : 1.2

### Gst.TAG_INTERPRETED_BY

Information about the people behind a remix and similar interpretations of another existing piece (string)

Since : 1.2

### Gst.TAG_INTERPRETED_BY

Information about the people behind a remix and similar interpretations of another existing piece (string)

Since : 1.2

### GST_TAG_ISRC

    #define GST_TAG_ISRC                   "isrc"

International Standard Recording Code - see http://www.ifpi.org/isrc/ (string)

### Gst.TAG_ISRC

International Standard Recording Code - see http://www.ifpi.org/isrc/ (string)

### Gst.TAG_ISRC

International Standard Recording Code - see http://www.ifpi.org/isrc/ (string)

### GST_TAG_KEYWORDS

    #define GST_TAG_KEYWORDS               "keywords"

comma separated keywords describing the content (string).

### Gst.TAG_KEYWORDS

comma separated keywords describing the content (string).

### Gst.TAG_KEYWORDS

comma separated keywords describing the content (string).

### GST_TAG_LANGUAGE_CODE

    #define GST_TAG_LANGUAGE_CODE          "language-code"

ISO-639-2 or ISO-639-1 code for the language the content is in (string)

There is utility API in libgsttag in gst-plugins-base to obtain a translated language name from the language code: `gst_tag_get_language_name()`

### Gst.TAG_LANGUAGE_CODE

ISO-639-2 or ISO-639-1 code for the language the content is in (string)

There is utility API in libgsttag in gst-plugins-base to obtain a translated language name from the language code: `gst_tag_get_language_name()`

### Gst.TAG_LANGUAGE_CODE

ISO-639-2 or ISO-639-1 code for the language the content is in (string)

There is utility API in libgsttag in gst-plugins-base to obtain a translated language name from the language code: `gst_tag_get_language_name()`

### GST_TAG_LANGUAGE_NAME

    #define GST_TAG_LANGUAGE_NAME          "language-name"

Name of the language the content is in (string)

Free-form name of the language the content is in, if a language code is not available. This tag should not be set in addition to a language code. It is undefined what language or locale the language name is in.

### Gst.TAG_LANGUAGE_NAME

Name of the language the content is in (string)

Free-form name of the language the content is in, if a language code is not available. This tag should not be set in addition to a language code. It is undefined what language or locale the language name is in.

### Gst.TAG_LANGUAGE_NAME

Name of the language the content is in (string)

Free-form name of the language the content is in, if a language code is not available. This tag should not be set in addition to a language code. It is undefined what language or locale the language name is in.

### GST_TAG_LICENSE

    #define GST_TAG_LICENSE                "license"

license of data (string)

### Gst.TAG_LICENSE

license of data (string)

### Gst.TAG_LICENSE

license of data (string)

### GST_TAG_LICENSE_URI

    #define GST_TAG_LICENSE_URI            "license-uri"

URI to location where license details can be found (string)

### Gst.TAG_LICENSE_URI

URI to location where license details can be found (string)

### Gst.TAG_LICENSE_URI

URI to location where license details can be found (string)

### GST_TAG_LOCATION

    #define GST_TAG_LOCATION               "location"

Origin of media as a URI (location, where the original of the file or stream is hosted) (string)

### Gst.TAG_LOCATION

Origin of media as a URI (location, where the original of the file or stream is hosted) (string)

### Gst.TAG_LOCATION

Origin of media as a URI (location, where the original of the file or stream is hosted) (string)

### GST_TAG_LYRICS

    #define GST_TAG_LYRICS                            "lyrics"

The lyrics of the media (string)

### Gst.TAG_LYRICS

The lyrics of the media (string)

### Gst.TAG_LYRICS

The lyrics of the media (string)

### GST_TAG_MAXIMUM_BITRATE

    #define GST_TAG_MAXIMUM_BITRATE        "maximum-bitrate"

maximum bitrate in bits/s (unsigned integer)

### Gst.TAG_MAXIMUM_BITRATE

maximum bitrate in bits/s (unsigned integer)

### Gst.TAG_MAXIMUM_BITRATE

maximum bitrate in bits/s (unsigned integer)

### GST_TAG_MIDI_BASE_NOTE

    #define GST_TAG_MIDI_BASE_NOTE                    "midi-base-note"

Midi note number of the audio track. This is useful for sample instruments and in particular for multi-samples.

Since : 1.4

### Gst.TAG_MIDI_BASE_NOTE

Midi note number of the audio track. This is useful for sample instruments and in particular for multi-samples.

Since : 1.4

### Gst.TAG_MIDI_BASE_NOTE

Midi note number of the audio track. This is useful for sample instruments and in particular for multi-samples.

Since : 1.4

### GST_TAG_MINIMUM_BITRATE

    #define GST_TAG_MINIMUM_BITRATE        "minimum-bitrate"

minimum bitrate in bits/s (unsigned integer)

### Gst.TAG_MINIMUM_BITRATE

minimum bitrate in bits/s (unsigned integer)

### Gst.TAG_MINIMUM_BITRATE

minimum bitrate in bits/s (unsigned integer)

### GST_TAG_NOMINAL_BITRATE

    #define GST_TAG_NOMINAL_BITRATE        "nominal-bitrate"

nominal bitrate in bits/s (unsigned integer). The actual bitrate might be different from this target bitrate.

### Gst.TAG_NOMINAL_BITRATE

nominal bitrate in bits/s (unsigned integer). The actual bitrate might be different from this target bitrate.

### Gst.TAG_NOMINAL_BITRATE

nominal bitrate in bits/s (unsigned integer). The actual bitrate might be different from this target bitrate.

### GST_TAG_ORGANIZATION

    #define GST_TAG_ORGANIZATION           "organization"

organization (string)

### Gst.TAG_ORGANIZATION

organization (string)

### Gst.TAG_ORGANIZATION

organization (string)

### GST_TAG_PERFORMER

    #define GST_TAG_PERFORMER              "performer"

person(s) performing (string)

### Gst.TAG_PERFORMER

person(s) performing (string)

### Gst.TAG_PERFORMER

person(s) performing (string)

### GST_TAG_PREVIEW_IMAGE

    #define GST_TAG_PREVIEW_IMAGE          "preview-image"

image that is meant for preview purposes, e.g. small icon-sized version (sample) (sample taglist should specify the content type)

### Gst.TAG_PREVIEW_IMAGE

image that is meant for preview purposes, e.g. small icon-sized version (sample) (sample taglist should specify the content type)

### Gst.TAG_PREVIEW_IMAGE

image that is meant for preview purposes, e.g. small icon-sized version (sample) (sample taglist should specify the content type)

### GST_TAG_PRIVATE_DATA

    #define GST_TAG_PRIVATE_DATA                         "private-data"

Any private data that may be contained in tags (sample).

It is represented by GstSample in which GstBuffer contains the binary data and the sample's info GstStructure may contain any extra information that identifies the origin or meaning of the data.

Private frames in ID3v2 tags ('PRIV' frames) will be represented using this tag, in which case the GstStructure will be named "ID3PrivateFrame" and contain a field named "owner" of type string which contains the owner-identification string from the tag.

Since : 1.8

### Gst.TAG_PRIVATE_DATA

Any private data that may be contained in tags (sample).

It is represented by Gst.Sample in which Gst.Buffer contains the binary data and the sample's info Gst.Structure may contain any extra information that identifies the origin or meaning of the data.

Private frames in ID3v2 tags ('PRIV' frames) will be represented using this tag, in which case the GstStructure will be named "ID3PrivateFrame" and contain a field named "owner" of type string which contains the owner-identification string from the tag.

Since : 1.8

### Gst.TAG_PRIVATE_DATA

Any private data that may be contained in tags (sample).

It is represented by Gst.Sample in which Gst.Buffer contains the binary data and the sample's info Gst.Structure may contain any extra information that identifies the origin or meaning of the data.

Private frames in ID3v2 tags ('PRIV' frames) will be represented using this tag, in which case the GstStructure will be named "ID3PrivateFrame" and contain a field named "owner" of type string which contains the owner-identification string from the tag.

Since : 1.8

### GST_TAG_PUBLISHER

    #define GST_TAG_PUBLISHER                         "publisher"

Name of the label or publisher (string)

Since : 1.2

### Gst.TAG_PUBLISHER

Name of the label or publisher (string)

Since : 1.2

### Gst.TAG_PUBLISHER

Name of the label or publisher (string)

Since : 1.2

### GST_TAG_REFERENCE_LEVEL

    #define GST_TAG_REFERENCE_LEVEL        "replaygain-reference-level"

reference level of track and album gain values (double)

### Gst.TAG_REFERENCE_LEVEL

reference level of track and album gain values (double)

### Gst.TAG_REFERENCE_LEVEL

reference level of track and album gain values (double)

### GST_TAG_SERIAL

    #define GST_TAG_SERIAL                 "serial"

serial number of track (unsigned integer)

### Gst.TAG_SERIAL

serial number of track (unsigned integer)

### Gst.TAG_SERIAL

serial number of track (unsigned integer)

### GST_TAG_SHOW_EPISODE_NUMBER

    #define GST_TAG_SHOW_EPISODE_NUMBER               "show-episode-number"

Number of the episode within a season/show (unsigned integer)

### Gst.TAG_SHOW_EPISODE_NUMBER

Number of the episode within a season/show (unsigned integer)

### Gst.TAG_SHOW_EPISODE_NUMBER

Number of the episode within a season/show (unsigned integer)

### GST_TAG_SHOW_NAME

    #define GST_TAG_SHOW_NAME                         "show-name"

Name of the show, used for displaying (string)

### Gst.TAG_SHOW_NAME

Name of the show, used for displaying (string)

### Gst.TAG_SHOW_NAME

Name of the show, used for displaying (string)

### GST_TAG_SHOW_SEASON_NUMBER

    #define GST_TAG_SHOW_SEASON_NUMBER                "show-season-number"

Number of the season of a show/series (unsigned integer)

### Gst.TAG_SHOW_SEASON_NUMBER

Number of the season of a show/series (unsigned integer)

### Gst.TAG_SHOW_SEASON_NUMBER

Number of the season of a show/series (unsigned integer)

### GST_TAG_SHOW_SORTNAME

    #define GST_TAG_SHOW_SORTNAME                     "show-sortname"

Name of the show, used for sorting (string)

### Gst.TAG_SHOW_SORTNAME

Name of the show, used for sorting (string)

### Gst.TAG_SHOW_SORTNAME

Name of the show, used for sorting (string)

### GST_TAG_SUBTITLE_CODEC

    #define GST_TAG_SUBTITLE_CODEC         "subtitle-codec"

codec/format the subtitle data is stored in (string)

### Gst.TAG_SUBTITLE_CODEC

codec/format the subtitle data is stored in (string)

### Gst.TAG_SUBTITLE_CODEC

codec/format the subtitle data is stored in (string)

### GST_TAG_TITLE

    #define GST_TAG_TITLE                  "title"

commonly used title (string)

The title as it should be displayed, e.g. 'The Doll House'

### Gst.TAG_TITLE

commonly used title (string)

The title as it should be displayed, e.g. 'The Doll House'

### Gst.TAG_TITLE

commonly used title (string)

The title as it should be displayed, e.g. 'The Doll House'

### GST_TAG_TITLE_SORTNAME

    #define GST_TAG_TITLE_SORTNAME         "title-sortname"

commonly used title, as used for sorting (string)

The title as it should be sorted, e.g. 'Doll House, The'

### Gst.TAG_TITLE_SORTNAME

commonly used title, as used for sorting (string)

The title as it should be sorted, e.g. 'Doll House, The'

### Gst.TAG_TITLE_SORTNAME

commonly used title, as used for sorting (string)

The title as it should be sorted, e.g. 'Doll House, The'

### GST_TAG_TRACK_COUNT

    #define GST_TAG_TRACK_COUNT            "track-count"

count of tracks inside collection this track belongs to (unsigned integer)

### Gst.TAG_TRACK_COUNT

count of tracks inside collection this track belongs to (unsigned integer)

### Gst.TAG_TRACK_COUNT

count of tracks inside collection this track belongs to (unsigned integer)

### GST_TAG_TRACK_GAIN

    #define GST_TAG_TRACK_GAIN             "replaygain-track-gain"

track gain in db (double)

### Gst.TAG_TRACK_GAIN

track gain in db (double)

### Gst.TAG_TRACK_GAIN

track gain in db (double)

### GST_TAG_TRACK_NUMBER

    #define GST_TAG_TRACK_NUMBER           "track-number"

track number inside a collection (unsigned integer)

### Gst.TAG_TRACK_NUMBER

track number inside a collection (unsigned integer)

### Gst.TAG_TRACK_NUMBER

track number inside a collection (unsigned integer)

### GST_TAG_TRACK_PEAK

    #define GST_TAG_TRACK_PEAK             "replaygain-track-peak"

peak of the track (double)

### Gst.TAG_TRACK_PEAK

peak of the track (double)

### Gst.TAG_TRACK_PEAK

peak of the track (double)

### GST_TAG_USER_RATING

    #define GST_TAG_USER_RATING                       "user-rating"

Rating attributed by a person (likely the application user). The higher the value, the more the user likes this media (unsigned int from 0 to 100)

### Gst.TAG_USER_RATING

Rating attributed by a person (likely the application user). The higher the value, the more the user likes this media (unsigned int from 0 to 100)

### Gst.TAG_USER_RATING

Rating attributed by a person (likely the application user). The higher the value, the more the user likes this media (unsigned int from 0 to 100)

### GST_TAG_VERSION

    #define GST_TAG_VERSION                "version"

version of this data (string)

### Gst.TAG_VERSION

version of this data (string)

### Gst.TAG_VERSION

version of this data (string)

### GST_TAG_VIDEO_CODEC

    #define GST_TAG_VIDEO_CODEC            "video-codec"

codec the video data is stored in (string)

### Gst.TAG_VIDEO_CODEC

codec the video data is stored in (string)

### Gst.TAG_VIDEO_CODEC

codec the video data is stored in (string)

## Callbacks

### GstTagForeachFunc

    (*GstTagForeachFunc) (const GstTagList * list,
                          const gchar * tag,
                          gpointer user_data)

A function that will be called in gst_tag_list_foreach. The function may not modify the tag list.

Parameters:

`list` –

the GstTagList

`tag` –

a name of a tag in list

`user_data` –

user data

### Gst.TagForeachFunc

    function Gst.TagForeachFunc(list: Gst.TagList, tag: String, user_data: Object): {
        // javascript wrapper for 'GstTagForeachFunc'
    }

A function that will be called in Gst.TagList.prototype.foreach. The function may not modify the tag list.

Parameters:

`list` (Gst.TagList) –

the Gst.TagList

`tag` (String) –

a name of a tag in list

`user_data` (Object) –

user data

### Gst.TagForeachFunc

    def Gst.TagForeachFunc (list, tag, *user_data):
        #python wrapper for 'GstTagForeachFunc'

A function that will be called in Gst.TagList.foreach. The function may not modify the tag list.

Parameters:

`list` (Gst.TagList) –

the Gst.TagList

`tag` (str) –

a name of a tag in list

`user_data` (variadic) –

user data

### GstTagMergeFunc

    (*GstTagMergeFunc) (GValue * dest,
                        const GValue * src)

A function for merging multiple values of a tag used when registering tags.

Parameters:

`dest` –

the destination GValue

`src` –

the source GValue

### Gst.TagMergeFunc

    function Gst.TagMergeFunc(dest: GObject.Value, src: GObject.Value): {
        // javascript wrapper for 'GstTagMergeFunc'
    }

A function for merging multiple values of a tag used when registering tags.

Parameters:

`dest` (GObject.Value) –

the destination GObject.Value

`src` (GObject.Value) –

the source GObject.Value

### Gst.TagMergeFunc

    def Gst.TagMergeFunc (dest, src):
        #python wrapper for 'GstTagMergeFunc'

A function for merging multiple values of a tag used when registering tags.

Parameters:

`dest` (GObject.Value) –

the destination GObject.Value

`src` (GObject.Value) –

the source GObject.Value

The results of the search are